package com.mxnavi.tspv2.carauth.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2018/2/5.
 */

public class CarRealTimeInfo {
    String vin;
    String licensePlate;
    String positionStatus;
    LatLng latLng;
    String vehiclePosition;
    String provinceCode;
    String cityCode;
    String totalMileage;
    String rechargeMileage;
    String highestAlarmGrade;
//    List<VehicleTireInfo> vehicleTireInfoList;
//    List<AlarmInfo> alarmInfoList;
    int onlineStatus;
    int chargingStatus;
    int soc;

    /**
     * 获取车辆vin
     * @return
     */
    public String getVin() {
        return vin;
    }

    /**
     * 设置车辆vin
     * @param vin
     */
    public void setVin(String vin) {
        this.vin = vin;
    }

    /**
     * 获取车牌号
     * @return
     */
    public String getLicensePlate() {
        return licensePlate;
    }

    /**
     * 设置车牌号
     * @param licensePlate
     */
    public void setLicensePlate(String licensePlate) {
        this.licensePlate = licensePlate;
    }

    /**
     * 获取定位状态
     * @return
     */
    public String getPositionStatus() {
        return positionStatus;
    }

    /**
     * 设置定位状态
     * @param positionStatus
     */
    public void setPositionStatus(String positionStatus) {
        this.positionStatus = positionStatus;
    }

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取定位地址
     * @return
     */
    public String getVehiclePosition() {
        return vehiclePosition;
    }

    /**
     * 设置定位地址
     * @param vehiclePosition
     */
    public void setVehiclePosition(String vehiclePosition) {
        this.vehiclePosition = vehiclePosition;
    }

    /**
     * 获取定位省Code
     * @return
     */
    public String getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置定位省Code
     * @param provinceCode
     */
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    /**
     * 获取定位城市Code
     * @return
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置定位城市Code
     * @param cityCode
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    /**
     * 获取累计里程
     * @return
     */
    public String getTotalMileage() {
        return totalMileage;
    }

    /**
     * 设置累计里程
     * @param totalMileage
     */
    public void setTotalMileage(String totalMileage) {
        this.totalMileage = totalMileage;
    }

    /**
     * 获取续航里程
     * @return
     */
    public String getRechargeMileage() {
        return rechargeMileage;
    }

    /**
     * 设置续航里程
     * @param rechargeMileage
     */
    public void setRechargeMileage(String rechargeMileage) {
        this.rechargeMileage = rechargeMileage;
    }

    /**
     * 获取最高告警等级
     * @return
     */
    public String getHighestAlarmGrade() {
        return highestAlarmGrade;
    }

    /**
     * 设置最高告警等级
     * @param highestAlarmGrade
     */
    public void setHighestAlarmGrade(String highestAlarmGrade) {
        this.highestAlarmGrade = highestAlarmGrade;
    }

//    /**
//     * 获取车辆轮胎信息
//     * @return
//     */
//    public List<VehicleTireInfo> getVehicleTireInfoList() {
//        return vehicleTireInfoList;
//    }
//
//    /**
//     * 设置车辆轮胎信息
//     * @param vehicleTireInfoList
//     */
//    public void setVehicleTireInfoList(List<VehicleTireInfo> vehicleTireInfoList) {
//        this.vehicleTireInfoList = vehicleTireInfoList;
//    }
//
//    /**
//     * 获取车辆告警信息
//     * @return
//     */
//    public List<AlarmInfo> getAlarmInfoList() {
//        return alarmInfoList;
//    }
//
//    /**
//     * 设置车辆轮胎信息
//     * @param alarmInfoList
//     */
//    public void setAlarmInfoList(List<AlarmInfo> alarmInfoList) {
//        this.alarmInfoList = alarmInfoList;
//    }

    /**
     * 获取在线状态,0：离线 1：在线
     * @return
     */
    public int getOnlineStatus() {
        return onlineStatus;
    }

    /**
     * 设置在线状态,0：离线 1：在线
     * @param onlineStatus
     */
    public void setOnlineStatus(int onlineStatus) {
        this.onlineStatus = onlineStatus;
    }

    /**
     * 获取1,"停车充电";2, "行驶充电"; 3, "未充电";4, "充电完成";5, "其他";254, "异常";255,"无效";
     * @return
     */
    public int getChargingStatus() {
        return chargingStatus;
    }

    /**
     * 设置1,"停车充电";2, "行驶充电"; 3, "未充电";4, "充电完成";5, "其他";254, "异常";255,"无效";
     * @param chargingStatus
     */
    public void setChargingStatus(int chargingStatus) {
        this.chargingStatus = chargingStatus;
    }

    /**
     * 获取SOC（0~100）;254异常,255无效
     * @return
     */
    public int getSoc() {
        return soc;
    }

    /**
     * 设置SOC（0~100）;254异常,255无效
     * @param soc
     */
    public void setSoc(int soc) {
        this.soc = soc;
    }
}
