package com.mxnavi.tspv2.driving.model;

import com.mxnavi.tspv2.model.TspDateTime;

/**
 * Created by Administrator on 2016/5/3.
 * desc
 */
public class HistoryOrderDetail {
    String orderId;
    TspDateTime orderTime;
    String startPos;
    String endPos;
    String driverName;
    String driverPhone;
    String totalPrice;
    String subsidy;
    String kiloFee;
    String waitingFee;

    /**
     * 获取订单ID
     * @return 订单ID
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID
     * @param orderId
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取订单时间  yyyy-MM-dd HH:mm:ss
     * @return 订单时间
     */
    public TspDateTime getOrderTime() {
        return orderTime;
    }

    /**
     * 设置订单时间
     * @param orderTime
     */
    public void setOrderTime(TspDateTime orderTime) {
        this.orderTime = orderTime;
    }

    /**
     * 获取起点描述
     * @return 起点描述
     */
    public String getStartPos() {
        return startPos;
    }

    /**
     * 设置起点描述
     * @param startPos
     */
    public void setStartPos(String startPos) {
        this.startPos = startPos;
    }

    /**
     * 获取终点描述
     * @return 终点描述
     */
    public String getEndPos() {
        return endPos;
    }

    /**
     * 设置终点描述
     * @param endPos
     */
    public void setEndPos(String endPos) {
        this.endPos = endPos;
    }

    /**
     * 获取司机名称
     * @return 司机名称
     */
    public String getDriverName() {
        return driverName;
    }

    /**
     * 设置司机名称
     * @param driverName
     */
    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    /**
     * 获取司机电话
     * @return 司机电话
     */
    public String getDriverPhone() {
        return driverPhone;
    }

    /**
     * 设置司机电话
     * @param driverPhone
     */
    public void setDriverPhone(String driverPhone) {
        this.driverPhone = driverPhone;
    }

    /**
     * 获取总价
     * @return 总价
     */
    public String getTotalPrice() {
        return totalPrice;
    }

    /**
     * 设置总价
     * @param totalPrice
     */
    public void setTotalPrice(String totalPrice) {
        this.totalPrice = totalPrice;
    }

    /**
     * 获取远程补贴
     * @return 远程补贴
     */
    public String getSubsidy() {
        return subsidy;
    }

    /**
     * 设置远程补贴
     * @param subsidy
     */
    public void setSubsidy(String subsidy) {
        this.subsidy = subsidy;
    }

    /**
     * 获取里程费
     * @return 里程费
     */
    public String getKiloFee() {
        return kiloFee;
    }

    /**
     * 设置里程费
     * @param kiloFee
     */
    public void setKiloFee(String kiloFee) {
        this.kiloFee = kiloFee;
    }

    /**
     * 获取等候费
     * @return 等候费
     */
    public String getWaitingFee() {
        return waitingFee;
    }

    /**
     * 设置等候费
     * @param waitingFee
     */
    public void setWaitingFee(String waitingFee) {
        this.waitingFee = waitingFee;
    }
}
