package com.mxnavi.tspv2.driving.model;

import com.mxnavi.tspv2.model.TspDateTime;

/**
 * Created by Administrator on 2016/5/3.
 * desc
 */
public class OrderInfo {
    String orderId;
    TspDateTime orderTime;
    int bookingType;
    int timeout;

    /**
     * 获取订单号
     * @return 订单号
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单号
     * @param orderId
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取下单时间
     * @return 下单时间
     */
    public TspDateTime getOrderTime() {
        return orderTime;
    }

    /**
     * 设置下单时间
     * @param orderTime
     */
    public void setOrderTime(TspDateTime orderTime) {
        this.orderTime = orderTime;
    }

    /**
     * 获取订单类型 1：一键下单  2：选司机下单
     * @return 订单类型 1：一键下单  2：选司机下单
     */
    public int getBookingType() {
        return bookingType;
    }

    /**
     * 设置订单类型 1：一键下单  2：选司机下单
     * @param bookingType
     */
    public void setBookingType(int bookingType) {
        this.bookingType = bookingType;
    }

    /**
     * 获取订单超时时间（单位秒）
     * @return 订单超时时间（单位秒）
     */
    public int getTimeout() {
        return timeout;
    }

    /**
     * 设置订单超时时间（单位秒）
     * @param timeout
     */
    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }
}
