package com.mxnavi.tspv2.drivingrecord.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by Administrator on 2016/4/1.
 * desc
 */
public class FileInfo implements Parcelable {
    String fullname;
    String upload_url;
    List<Param> params;

    public FileInfo() {
    }

    /**
     * 获取上传所需参数
     * @return
     */
    public List<Param> getParams() {
        return params;
    }

    /**
     * 设置上传所需参数
     * @param params
     */
    public void setParams(List<Param> params) {
        this.params = params;
    }

    /**
     * 获取 终端请求的文件名
     * @return
     */
    public String getFullname() {
        return fullname;
    }

    /**
     * 设置 终端请求的文件名
     * @param fullname
     */
    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    /**
     * 获取 上传地址
     * @return
     */
    public String getUpload_url() {
        return upload_url;
    }

    /**
     * 设置 上传地址
     * @param upload_url
     */
    public void setUpload_url(String upload_url) {
        this.upload_url = upload_url;
    }


    protected FileInfo(Parcel in) {
        fullname = in.readString();
        upload_url = in.readString();
        params = in.createTypedArrayList(Param.CREATOR);

    }
    public static final Creator<FileInfo> CREATOR = new Creator<FileInfo>() {
        @Override
        public FileInfo createFromParcel(Parcel in) {
            return new FileInfo(in);
        }

        @Override
        public FileInfo[] newArray(int size) {
            return new FileInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(fullname);
        dest.writeString(upload_url);
        dest.writeTypedList(params);
    }
}
