package com.mxnavi.tspv2.flowcontrol.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by lenovo on 2016/10/17.
 */
public class FlowDetail  implements Parcelable,Serializable {
    long totalFlow;
    long useFlow;
    long canUseFlow;
    public FlowDetail() {
    }
    protected FlowDetail(Parcel in) {
        totalFlow = in.readLong();
        useFlow = in.readLong();
        canUseFlow = in.readLong();
    }
    public static final Creator<FlowDetail> CREATOR = new Creator<FlowDetail>() {
        @Override
        public FlowDetail createFromParcel(Parcel in) {
            return new FlowDetail(in);
        }

        @Override
        public FlowDetail[] newArray(int size) {
            return new FlowDetail[size];
        }
    };
    /**
     * 获取 总流量
     * @return
     */
    public long getTotalFlow() {
        return totalFlow;
    }

    /**
     * 设置 总流量
     * @param totalFlow
     */
    public void setTotalFlow(long totalFlow) {
        this.totalFlow = totalFlow;
    }

    /**
     * 获取 使用流量
     * @return
     */
    public long getUseFlow() {
        return useFlow;
    }

    /**
     * 设置 使用流量
     * @param useFlow
     */
    public void setUseFlow(long useFlow) {
        this.useFlow = useFlow;
    }

    /**
     * 获取 可使用流量
     * @return
     */
    public long getCanUseFlow() {
        return canUseFlow;
    }

    /**
     * 设置 可使用流量
     * @param canUseFlow
     */
    public void setCanUseFlow(long canUseFlow) {
        this.canUseFlow = canUseFlow;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(totalFlow);
        dest.writeLong(useFlow);
        dest.writeLong(canUseFlow);
    }
}
