package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class AlbumTag implements Parcelable,Serializable {
    String id;
    String title;
    AlbumTagIconUrl iconUrl;

    public AlbumTag() {
    }
    protected AlbumTag(Parcel in) {
        id = in.readString();
        title = in.readString();
        iconUrl = in.readParcelable(AlbumTagIconUrl.class.getClassLoader());
    }

    public static final Creator<AlbumTag> CREATOR = new Creator<AlbumTag>() {
        @Override
        public AlbumTag createFromParcel(Parcel in) {
            return new AlbumTag(in);
        }

        @Override
        public AlbumTag[] newArray(int size) {
            return new AlbumTag[size];
        }
    };
    /**
     * 获取专辑标签的id
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 设置专辑标签的id
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取专辑标签名称
     * @return
     */
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    /**
     * 获取专辑标签的图标，分为大、中、小三种图标
     * @return
     */
    public AlbumTagIconUrl getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(AlbumTagIconUrl iconUrl) {
        this.iconUrl = iconUrl;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(title);
        dest.writeParcelable(iconUrl, flags);
    }
}
