package com.mxnavi.tspv2.gasstation.model;


import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by zhaoll on 2018/8/6.
 * 常去加油站检索条件类
 */

public class SearchByPreferQuery {
    Double radius;
    LatLng latLng;

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取半径，符合条件的范围
     max：5 km
     min：1km
     default：3km
     * @return
     */
    public Double getRadius() {
        return radius;
    }

    /**
     * 设置半径，符合条件的范围
     max：5 km
     min：1km
     default：3km
     * @param radius
     */
    public void setRadius(Double radius) {
        this.radius = radius;
    }
}
