package com.mxnavi.tspv2.location.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2016/5/13.
 * desc
 */
public class CurrentLocationInfo implements Parcelable {
        LatLng location;
        int updateTime;

        public CurrentLocationInfo() {
        }

        /**
         * 获取 位置
         * @return
         */
        public LatLng getLocation() {
                return location;
        }

        /**
         *设置 位置
         * @param location
         */
        public void setLocation(LatLng location) {
                this.location = location;
        }

        /**
         *获取 位置所在的时间
         * @return
         */
        public int getUpdateTime() {
                return updateTime;
        }

        /**
         *设置 位置所在的时间
         * @param updateTime
         */
        public void setUpdateTime(int updateTime) {
                this.updateTime = updateTime;
        }


        protected CurrentLocationInfo(Parcel in) {
                location = in.readParcelable(LatLng.class.getClassLoader());
                updateTime = in.readInt();
        }
        public static final Creator<CurrentLocationInfo> CREATOR = new Creator<CurrentLocationInfo>() {
                @Override
                public CurrentLocationInfo createFromParcel(Parcel in) {
                        return new CurrentLocationInfo(in);
                }

                @Override
                public CurrentLocationInfo[] newArray(int size) {
                        return new CurrentLocationInfo[size];
                }
        };
        @Override
        public int describeContents() {
                return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
                dest.writeParcelable(location,flags);
                dest.writeInt(updateTime);
        }
}
