package com.mxnavi.tspv2.location.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by Administrator on 2016/5/13.
 * desc
 */
public class TrackInfo implements Parcelable {
    int trackId;
    int trackStartTime;
    int trackEndTime;
    List<CurrentLocationInfo> locations;

    public TrackInfo() {
    }

    /**
     * 获取 轨迹id
     * @return
     */
    public int getTrackId() {
        return trackId;
    }

    /**
     * 设置 轨迹id
     * @param trackId
     */
    public void setTrackId(int trackId) {
        this.trackId = trackId;
    }

    /**
     * 获取 轨迹开始时间
     * @return
     */
    public int getTrackStartTime() {
        return trackStartTime;
    }

    /**
     * 设置 轨迹开始时间
     * @param trackStartTime
     */
    public void setTrackStartTime(int trackStartTime) {
        this.trackStartTime = trackStartTime;
    }

    /**
     * 获取 轨迹结束时间
     * @return
     */
    public int getTrackEndTime() {
        return trackEndTime;
    }

    /**
     * 设置 轨迹结束时间
     * @param trackEndTime
     */
    public void setTrackEndTime(int trackEndTime) {
        this.trackEndTime = trackEndTime;
    }

    /**
     * 获取 位置集合
     * @return
     */
    public List<CurrentLocationInfo> getLocations() {
        return locations;
    }

    /**
     * 设置 位置集合
     * @param locations
     */
    public void setLocations(List<CurrentLocationInfo> locations) {
        this.locations = locations;
    }


    protected TrackInfo(Parcel in) {
        trackId = in.readInt();
        trackStartTime = in.readInt();
        trackEndTime = in.readInt();
        locations = in.createTypedArrayList(CurrentLocationInfo.CREATOR);
    }
    public static final Creator<TrackInfo> CREATOR = new Creator<TrackInfo>() {
        @Override
        public TrackInfo createFromParcel(Parcel in) {
            return new TrackInfo(in);
        }

        @Override
        public TrackInfo[] newArray(int size) {
            return new TrackInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(trackId);
        dest.writeInt(trackStartTime);
        dest.writeInt(trackEndTime);
        dest.writeTypedList(locations);

    }
}
