package com.mxnavi.tspv2.messagepush.model;

/**
 * Created by Administrator on 2018/4/24.
 */

public class QueryHistoryInfo {
    /**
     * 主键
     */
    String id;
    /**
     * 车机号
     */
    String deviceNo;
    /**
     * 用户id
     */
    String userId;
    /**
     * 产品系列
     */
    String productId;
    /**
     * 读取状态( 0:未读 1:已读 ) 不传为查询全部
     */
    String readState;
    /**
     * 删除状态( 0:未删除  1:已删除 )不传为查询全部
     */
    String delState;
    /**
     * 消息类型(0:远程控制1：违章2：碰撞3：防盗4：故障5：保养6：电子围栏)不传为查询全部类型
     */
    String infoType;
    /**
     * 页数
     */
    String page;
    /**
     * 当页行数
     */
    String rows;

    /**
     * 获取主键
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 设置主键
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取车机号
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置车机号
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取 用户id
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置 用户id
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取读取状态(0:未读1:已读)不传为查询全部
     * @return
     */
    public String getReadState() {
        return readState;
    }

    /**
     * 设置读取状态(0:未读1:已读)不传为查询全部
     * @param readState
     */
    public void setReadState(String readState) {
        this.readState = readState;
    }

    /**
     * 获取 删除状态( 0:未删除  1:已删除 )不传为查询全部
     * @return
     */
    public String getDelState() {
        return delState;
    }

    /**
     * 设置 删除状态( 0:未删除  1:已删除 )不传为查询全部
     * @param delState
     */
    public void setDelState(String delState) {
        this.delState = delState;
    }

    /**
     * 获取消息类型(0:远程控制1：违章2：碰撞3：防盗4：故障5：保养6：电子围栏)不传为查询全部类型
     * @return
     */
    public String getInfoType() {
        return infoType;
    }

    /**
     * 设置消息类型(0:远程控制1：违章2：碰撞3：防盗4：故障5：保养6：电子围栏)不传为查询全部类型
     * @param infoType
     */
    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    /**
     * 获取 页数
     * @return
     */
    public String getPage() {
        return page;
    }

    /**
     * 设置 页数
     * @param page
     */
    public void setPage(String page) {
        this.page = page;
    }

    /**
     * 获取 当页行数
     * @return
     */
    public String getRows() {
        return rows;
    }

    /**
     * 设置 当页行数
     * @param rows
     */
    public void setRows(String rows) {
        this.rows = rows;
    }
}
