package com.mxnavi.tspv2.music.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by lenovo on 2017/4/14.
 */

public class MusicTypeInfo implements Parcelable {
    String id;
    String productId;
    String typeName;
    String remark;
    String createTime;

    public MusicTypeInfo() {
    }

    protected MusicTypeInfo(Parcel in) {
        id = in.readString();
        productId = in.readString();
        typeName = in.readString();
        remark = in.readString();
        createTime = in.readString();
    }

    public static final Creator<MusicTypeInfo> CREATOR = new Creator<MusicTypeInfo>() {
        @Override
        public MusicTypeInfo createFromParcel(Parcel in) {
            return new MusicTypeInfo(in);
        }

        @Override
        public MusicTypeInfo[] newArray(int size) {
            return new MusicTypeInfo[size];
        }
    };

    /**
     * 获取 ID
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 ID
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 类型
     * @return
     */
    public String getTypeName() {
        return typeName;
    }

    /**
     * 设置 类型
     * @param typeName
     */
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    /**
     * 获取 备注
     * @return
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取 创建时间
     * @return
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 设置 创建时间
     * @param createTime
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(productId);
        dest.writeString(typeName);
        dest.writeString(remark);
        dest.writeString(createTime);
    }
}
