package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/5/27.
 * desc
 */
public class DrivingRecordNotice implements Parcelable {
    int commandType;
    long commandTime;
    String notifyURL;
    CommandContent commandContent;
    public DrivingRecordNotice (){

    }
    /**
     * 获取命令类型 1-拍照 2-录影
     * @return
     */
    public int getCommandType() {
        return commandType;
    }

    public void setCommandType(int commandType) {
        this.commandType = commandType;
    }

    /**
     * 获取发出命令的时间戳，单位为毫秒
     * @return
     */
    public long getCommandTime() {
        return commandTime;
    }

    public void setCommandTime(long commandTime) {
        this.commandTime = commandTime;
    }

    /**
     *获取回调URL
     * @return
     */
    public String getNotifyURL() {
        return notifyURL;
    }

    public void setNotifyURL(String notifyURL) {
        this.notifyURL = notifyURL;
    }

    /**
     * 获取命令详情内容
     * @return
     */
    public CommandContent getCommandContent() {
        return commandContent;
    }

    public void setCommandContent(CommandContent commandContent) {
        this.commandContent = commandContent;
    }
    protected DrivingRecordNotice(Parcel in) {
        commandType = in.readInt();
        commandTime = in.readLong();
        notifyURL = in.readString();
        commandContent = in.readParcelable(CommandContent.class.getClassLoader());
    }
    public static final Parcelable.Creator<DrivingRecordNotice> CREATOR = new Parcelable.Creator<DrivingRecordNotice>() {
        @Override
        public DrivingRecordNotice createFromParcel(Parcel in) {
            return new DrivingRecordNotice(in);
        }

        @Override
        public DrivingRecordNotice[] newArray(int size) {
            return new DrivingRecordNotice[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(commandType);
        dest.writeLong(commandTime);
        dest.writeString(notifyURL);
        dest.writeParcelable(commandContent,flags);
    }
}
