package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/15.
 * desc
 */
public class MessageBindContent implements Parcelable {
    String bindStatus;
    String userId;

    public MessageBindContent() {
    }

    protected MessageBindContent(Parcel in) {
        bindStatus = in.readString();
        userId = in.readString();
    }

    public static final Creator<MessageBindContent> CREATOR = new Creator<MessageBindContent>() {
        @Override
        public MessageBindContent createFromParcel(Parcel in) {
            return new MessageBindContent(in);
        }

        @Override
        public MessageBindContent[] newArray(int size) {
            return new MessageBindContent[size];
        }
    };

    /**
     * 获取绑定结果 bind success或者unbind success
     * @return
     */
    public String getBindStatus() {
        return bindStatus;
    }

    /**
     *设置绑定结果 bind success或者unbind success
     * @param bindStatus
     */
    public void setBindStatus(String bindStatus) {
        this.bindStatus = bindStatus;
    }

    /**
     *获取 用户中心ID
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置 用户中心ID
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(bindStatus);
        dest.writeString(userId);
    }
}
