package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/15.
 * desc
 */
public class MessageBindItem implements Parcelable {
    MessageInfo MessageInfo;
    long createTime;
    MessageBindContent content;

    public MessageBindItem() {
    }

    protected MessageBindItem(Parcel in) {
        MessageInfo = in.readParcelable(com.mxnavi.tspv2.notification.model.MessageInfo.class.getClassLoader());
        createTime = in.readLong();
        content = in.readParcelable(MessageBindContent.class.getClassLoader());
    }

    public static final Creator<MessageBindItem> CREATOR = new Creator<MessageBindItem>() {
        @Override
        public MessageBindItem createFromParcel(Parcel in) {
            return new MessageBindItem(in);
        }

        @Override
        public MessageBindItem[] newArray(int size) {
            return new MessageBindItem[size];
        }
    };

    public MessageInfo getMessageInfo() {
        return MessageInfo;
    }

    public void setMessageInfo(MessageInfo messageInfo) {
        MessageInfo = messageInfo;
    }

    /**
     * 获取用户发送POI的时间
     * @return
     */
    public long getCreateTime() {
        return createTime;
    }

    /**
     * 获取用户发送POI的时间
     * @param createTime
     */
    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public MessageBindContent getContent() {
        return content;
    }

    public void setContent(MessageBindContent content) {
        this.content = content;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeParcelable(MessageInfo, flags);
        dest.writeLong(createTime);
        dest.writeParcelable(content, flags);
    }
}
