package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2015/12/16.
 */
public class UserInfoResult  implements Parcelable {
     String acUserName;
     String acUserId;
     String email;
     String phone;
     String nickname;
     String avatar;
     int gender;
     Birthday birthday;
     String location;
    public UserInfoResult(){

    }
    /**
     * 获取用户姓名
     * @return
     */
    public String getAcUserName() {
        return acUserName;
    }
    /**
     * 设置用户姓名
     * @param acUserName
     */
    public void setAcUserName(String acUserName) {
        this.acUserName = acUserName;
    }
    /**
     * 获取用户ID
     * @return
     */
    public String getAcUserId() {
        return acUserId;
    }
    /**
     * 设置用户ID
     * @param acUserId
     */
    public void setAcUserId(String acUserId) {
        this.acUserId = acUserId;
    }
    /**
     * 获取用户邮箱
     * @return
     */
    public String getEmail() {
        return email;
    }
    /**
     * 设置用户邮箱
     * @param email
     */
    public void setEmail(String email) {
        this.email = email;
    }
    /**
     * 获取用户电话号码
     * @return
     */
    public String getPhone() {
        return phone;
    }
    /**
     * 设置用户电话号码
     * @param phone
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }
    /**
     * 获取用户昵称
     * @return
     */
    public String getNickname() {
        return nickname;
    }
    /**
     * 设置用户昵称
     * @param nickname
     */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    /**
     * 获取用户头像
     * @return
     */
    public String getAvatar() {
        return avatar;
    }
    /**
     * 设置用户头像
     * @param avatar
     */
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
    /**
     * 获取用户性别
     * @return
     */
    public int getGender() {
        return gender;
    }
    /**
     * 设置用户性别
     * @param gender 0：默认未设置，1：男，2：女
     */
    public void setGender(int gender) {
        this.gender = gender;
    }
    /**
     * 获取用户生日
     * @return
     */
    public Birthday getBirthday() {
        return birthday;
    }
    /**
     * 设置用户生日
     * @param birthday
     */
    public void setBirthday(Birthday birthday) {
        this.birthday = birthday;
    }
    /**
     * 获取用户地址
     * @return
     */

    public String getLocation() {
        return location;
    }
    /**
     * 设置用户地址
     * @param location
     */
    public void setLocation(String location) {
        this.location = location;
    }
    protected UserInfoResult(Parcel in) {
         acUserName = in.readString();
         acUserId = in.readString();
         email = in.readString();
         phone = in.readString();
         nickname = in.readString();
         avatar = in.readString();
         gender = in.readInt();
        birthday = in.readParcelable(Birthday.class.getClassLoader());
         location = in.readString();

    }
    public static final Parcelable.Creator<UserInfoResult> CREATOR = new Parcelable.Creator<UserInfoResult>() {
        @Override
        public UserInfoResult createFromParcel(Parcel in) {
            return new UserInfoResult(in);
        }

        @Override
        public UserInfoResult[] newArray(int size) {
            return new UserInfoResult[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(acUserName);
        dest.writeString(acUserId);
        dest.writeString(email);
        dest.writeString(phone);
        dest.writeString(nickname);
        dest.writeString(avatar);
        dest.writeInt(gender);
        dest.writeParcelable(birthday,flags);
        dest.writeString(location);
    }
}
