package com.mxnavi.tspv2.placeservice.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2018/2/9.
 */

public class RoadData {
    String source;
    String distType;
    int radius;
    List<LatLng> pointList;

    /**
     * 获取资源 (GD.高德 EMG.emg SW.四维)
     * @return
     */
    public String getSource() {
        return source;
    }

    /**
     * 设置资源 GD.高德 EMG.emg SW.四维)
     * @param source
     */
    public void setSource(String source) {
        this.source = source;
    }

    /**
     * 获取区域类型 区域类型(0.首都1.直辖市2.省会3.地级市/盟4.县级市5.县/自治县/旗)
     * @return
     */
    public String getDistType() {
        return distType;
    }

    /**
     * 设置区域类型 区域类型(0.首都1.直辖市2.省会3.地级市/盟4.县级市5.县/自治县/旗)
     * @param distType
     */
    public void setDistType(String distType) {
        this.distType = distType;
    }

    /**
     * 获取半径。取值范围1000米到5000米，默认值2000米
     * @return
     */
    public int getRadius() {
        return radius;
    }

    /**
     * 设置半径。取值范围1000米到5000米，默认值2000米
     * @param radius
     */
    public void setRadius(int radius) {
        this.radius = radius;
    }

    /**
     * 获取沿路点。结构：“lon lat,经度差值 纬度差值”。前一点减去后一点差值得到后一点经纬度。
     * @return
     */
    public List<LatLng> getPointList() {
        return pointList;
    }
    /**
     * 设置沿路点。结构：“lon lat,经度差值 纬度差值”。前一点减去后一点差值得到后一点经纬度。
     * @param pointList
     */
    public void setPointList(List<LatLng> pointList) {
        this.pointList = pointList;
    }
}
