package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 远程空调温度设定消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlAirTemperatureMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 控制信息
     */
    AirTemperatureCtrlInfo airTemperatureCtrlInfo;
    /**
     * 状态信息
     */
    AirTemperatureStateInfo airTemperatureStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 控制信息
     * @return
     */
    public AirTemperatureCtrlInfo getAirTemperatureCtrlInfo() {
        return airTemperatureCtrlInfo;
    }

    /**
     * 设置 控制信息
     * @param airTemperatureCtrlInfo
     */
    public void setAirTemperatureCtrlInfo(AirTemperatureCtrlInfo airTemperatureCtrlInfo) {
        this.airTemperatureCtrlInfo = airTemperatureCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public AirTemperatureStateInfo getAirTemperatureStateInfo() {
        return airTemperatureStateInfo;
    }

    /**
     * 设置 状态信息
     * @param airTemperatureStateInfo
     */
    public void setAirTemperatureStateInfo(AirTemperatureStateInfo airTemperatureStateInfo) {
        this.airTemperatureStateInfo = airTemperatureStateInfo;
    }
}
