package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 车窗控制消息(请求/应答)
 *   app->服务器 请求时：
 *   如果只传"windows_message"中的"request_id"和"common_param"，表示"查询"指令，
 *   服务器应答消息中需包含"windows_message"和"resp_code"数据(失败时，只包含"windows_message"中"request_id"和"resp_code")
 *   如果除"resp_code"以外全部数据，表示"控制"指令，服务器应答消息中只包含"windows_message"中"request_id"和"resp_code"
 */

public class CtrlWindowsMobileMsg extends BaseCtrlMobileMsg{
    /**
     * 车窗控制消息
     */
    CtrlWindowsMsg windowsMessage;

    /**
     * 获取 车窗控制消息
     * @return
     */
    public CtrlWindowsMsg getWindowsMessage() {
        return windowsMessage;
    }

    /**
     * 设置 车窗控制消息
     * @param windowsMessage
     */
    public void setWindowsMessage(CtrlWindowsMsg windowsMessage) {
        this.windowsMessage = windowsMessage;
    }
}
