package com.mxnavi.tspv2.remotecontrol.model;

import android.widget.ImageView;

/**
 * Created by Administrator on 2018/3/28.
 */

public class DetailMajorInfo {
    Integer temperatureLevel;
    Integer windLevel;
    Integer airPurge;
    Integer anion;
    Integer cockpitCleaning;
    Integer fullyAutomatic;
    Integer loopState;
    Integer ac;
    Integer ptc;

    /**
     * 获取温度级别（-99:最大制冷;99:最大制热;其他据具体车型定义） 0xFFFF(无法得到当前状态)
     * @return
     */
    public Integer getTemperatureLevel() {
        return temperatureLevel;
    }

    /**
     * 设置温度级别（-99:最大制冷;99:最大制热;其他据具体车型定义） 0xFFFF(无法得到当前状态)
     * @param temperatureLevel
     */
    public void setTemperatureLevel(Integer temperatureLevel) {
        this.temperatureLevel = temperatureLevel;
    }

    /**
     * 获取风力级别（根据具体车型定义） 0xFF(无法得到当前状态)
     * @return
     */
    public Integer getWindLevel() {
        return windLevel;
    }

    /**
     * 设置风力级别（根据具体车型定义） 0xFF(无法得到当前状态)
     * @param windLevel
     */
    public void setWindLevel(Integer windLevel) {
        this.windLevel = windLevel;
    }

    /**
     * 获取空气净化:(true-打开；false-关闭)
     * @return
     */
    public Integer getAirPurge() {
        return airPurge;
    }

    /**
     * 设置空气净化:(true-打开；false-关闭)
     * @param airPurge
     */
    public void setAirPurge(Integer airPurge) {
        this.airPurge = airPurge;
    }

    /**
     * 获取负离子:(true-打开；false-关闭)
     * @return
     */
    public Integer getAnion() {
        return anion;
    }

    /**
     * 设置负离子:(true-打开；false-关闭)
     * @param anion
     */
    public void setAnion(Integer anion) {
        this.anion = anion;
    }

    /**
     * 获取座舱清洁:(true-打开；false-关闭)
     * @return
     */
    public Integer getCockpitCleaning() {
        return cockpitCleaning;
    }

    /**
     * 设置座舱清洁:(true-打开；false-关闭)
     * @param cockpitCleaning
     */
    public void setCockpitCleaning(Integer cockpitCleaning) {
        this.cockpitCleaning = cockpitCleaning;
    }

    /**
     * 获取全自动:(true-打开；false-关闭)
     * @return
     */
    public Integer getFullyAutomatic() {
        return fullyAutomatic;
    }

    /**
     * 设置全自动:(true-打开；false-关闭)
     * @param fullyAutomatic
     */
    public void setFullyAutomatic(Integer fullyAutomatic) {
        this.fullyAutomatic = fullyAutomatic;
    }

    /**
     * 获取循环模式(1: 内循环 2: 外循环) 0xFF(无法得到当前状态)
     * @return
     */
    public Integer getLoopState() {
        return loopState;
    }

    /**
     * 设置循环模式(1: 内循环 2: 外循环) 0xFF(无法得到当前状态)
     * @param loopState
     */
    public void setLoopState(Integer loopState) {
        this.loopState = loopState;
    }

    /**
     * 获取AC状态(压缩机状态)
     * @return
     */
    public Integer getAc() {
        return ac;
    }

    /**
     * 设置AC状态(压缩机状态)
     * @param ac
     */
    public void setAc(Integer ac) {
        this.ac = ac;
    }

    /**
     * 获取PTC状态(电加热状态)
     * @return
     */
    public Integer getPtc() {
        return ptc;
    }

    /**
     * 设置PTC状态(电加热状态)
     * @param ptc
     */
    public void setPtc(Integer ptc) {
        this.ptc = ptc;
    }
}
