package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/8.
 * <p>
 * 确认信息
 */
public class DeviceConfirmUploadMsg {
    /**
     * 车机上传共同属性
     */
    private DeviceUploadCommonMsg deviceUploadCommon;
    /**
     * 返回值，200成功，其他值失败
     */
    private Integer code;
    /**
     * 上传路径，例如：95555/2a9aef6aaa11a389/2016-07-14-13-30-28-image/abc.jpg
     */
    private String url;

    /**
     * 获取 车机上传共同属性
     *
     * @return the device upload common
     */
    public DeviceUploadCommonMsg getDeviceUploadCommon() {
        
        return deviceUploadCommon;
    }

    /**
     * 设置 车机上传共同属性
     *
     * @param deviceUploadCommon the device upload common
     */
    public void setDeviceUploadCommon(DeviceUploadCommonMsg deviceUploadCommon) {
        this.deviceUploadCommon = deviceUploadCommon;
    }

    /**
     * 获取 返回值，200成功，其他值失败
     *
     * @return the code
     */
    public Integer getCode() {
        return code;
    }

    /**
     * 设置 返回值，200成功，其他值失败
     *
     * @param code the code
     */
    public void setCode(Integer code) {
        this.code = code;
    }

    /**
     * 获取 上传路径，例如：95555/2a9aef6aaa11a389/2016-07-14-13-30-28-image/abc.jpg
     *
     * @return the url
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置 上传路径，例如：95555/2a9aef6aaa11a389/2016-07-14-13-30-28-image/abc.jpg
     *
     * @param url the url
     */
    public void setUrl(String url) {
        this.url = url;
    }
}
