package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 屏幕保护状态信息
 */

public class PrivateInfoStateInfo {
    /**
     * 远程中控屏保护状态
     * 0x1: Valid（被保护，显示时间或保护界面点击界面时出现密码，密码设定在设置菜单中）
     * 0x2: InValid
     * 0xFF: 无效
     */
    Integer lockState;

    /**
     * 获取 远程中控屏保护状态
     * 0x1: Valid（被保护，显示时间或保护界面点击界面时出现密码，密码设定在设置菜单中）
     * 0x2: InValid
     * 0xFF: 无效
     * @return
     */
    public Integer getLockState() {
        return lockState;
    }

    /**
     * 设置 远程中控屏保护状态
     * 0x1: Valid（被保护，显示时间或保护界面点击界面时出现密码，密码设定在设置菜单中）
     * 0x2: InValid
     * 0xFF: 无效
     * @param lockState
     */
    public void setLockState(Integer lockState) {
        this.lockState = lockState;
    }
}
