package com.mxnavi.tspv2.sendtocar.model;

/**
 * Created by lenovo on 2016/6/13.
 */
public class SearchUserListResult {
    String appId;
    String groupId;
    String remark;
    String unionId;
    long subScribeTime;
    String headImgUrl;
    String language;
    String provinceName;
    String countryName;
    String cityName;
    int sex;
    String nickName;
    String openId;
    int subscribe;

    /**
     * 获取 应用ID(公众号/C&I的ID)
     * @return
     */
    public String getAppId() {
        return appId;
    }

    /**
     * 设置 应用ID(公众号/C&I的ID)
     * @param appId
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * 获取 用户所在的分组ID
     * @return
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * 设置 用户所在的分组ID
     * @param groupId
     */
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    /**
     * 获取 公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注
     * @return
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置 公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
     * @return
     */
    public String getUnionId() {
        return unionId;
    }

    /**
     * 设置 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
     * @param unionId
     */
    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    /**
     * 获取 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
     * @return
     */
    public long getSubScribeTime() {
        return subScribeTime;
    }

    /**
     * 设置 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
     * @param subScribeTime
     */
    public void setSubScribeTime(long subScribeTime) {
        this.subScribeTime = subScribeTime;
    }

    /**
     * 获取 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效
     * @return
     */
    public String getHeadImgUrl() {
        return headImgUrl;
    }

    /**
     * 设置 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效
     * @param headImgUrl
     */
    public void setHeadImgUrl(String headImgUrl) {
        this.headImgUrl = headImgUrl;
    }

    /**
     * 获取 用户的语言，简体中文为zh_CN
     * @return
     */
    public String getLanguage() {
        return language;
    }

    /**
     * 设置 用户的语言，简体中文为zh_CN
     * @param language
     */
    public void setLanguage(String language) {
        this.language = language;
    }

    /**
     * 获取 用户所在省份
     * @return
     */
    public String getProvinceName() {
        return provinceName;
    }

    /**
     * 设置 用户所在省份
     * @param provinceName
     */
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    /**
     * 获取 用户所在国家
     * @return
     */
    public String getCountryName() {
        return countryName;
    }

    /**
     * 设置 用户所在国家
     * @param countryName
     */
    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    /**
     * 获取 用户所在城市
     * @return
     */
    public String getCityName() {
        return cityName;
    }

    /**
     * 设置 用户所在城市
     * @param cityName
     */
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    /**
     * 获取 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
     * @return
     */
    public int getSex() {
        return sex;
    }

    /**
     * 设置 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
     * @param sex
     */
    public void setSex(int sex) {
        this.sex = sex;
    }

    /**
     * 获取 用户的昵称
     * @return
     */
    public String getNickName() {
        return nickName;
    }

    /**
     * 设置 用户的昵称
     * @param nickName
     */
    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    /**
     * 获取 用户的标识，对当前公众号唯一
     * @return
     */
    public String getOpenId() {
        return openId;
    }

    /**
     * 设置 用户的标识，对当前公众号唯一
     * @param openId
     */
    public void setOpenId(String openId) {
        this.openId = openId;
    }

    /**
     * 获取 用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息
     * @return
     */
    public int getSubscribe() {
        return subscribe;
    }

    /**
     * 设置 用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息
     * @param subscribe
     */
    public void setSubscribe(int subscribe) {
        this.subscribe = subscribe;
    }
}
