package com.mxnavi.tspv2.weather.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.TspCity;

/**
 * Created by Administrator on 2016/4/22.
 * desc
 */
public class AlarmInfo  implements Parcelable {

    /* 预警级别ID */
    int levelId;
    /* 预警级别 */
    String levelName;
    /* 发布时间 */
    String release_time;
    /* 预警信号ID */
    int typeId;
    /* 预警信号 */
    String typeName;
    /* 预警详细描述 */
    String info;
//    /* 该天气所属地区 */
//    TspCity city;

    public AlarmInfo() {
    }

    /**
     * 获取预警级别ID
     * @return 预警级别ID
     */
    public int getLevelId() {
        return levelId;
    }

    /**
     * 设置预警级别ID
     * @param levelId
     */
    public void setLevelId(int levelId) {
        this.levelId = levelId;
    }

    /**
     * 获取预警级别
     * @return 预警级别
     */
    public String getLevelName() {
        return levelName;
    }

    /**
     * 设置预警级别
     * @param levelName
     */
    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    /**
     * 获取发布时间
     * @return 发布时间
     */
    public String getRelease_time() {
        return release_time;
    }

    /**
     * 设置发布时间
     * @param release_time
     */
    public void setRelease_time(String release_time) {
        this.release_time = release_time;
    }

    /**
     * 获取预警信号ID
     * @return 预警信号ID
     */
    public int getTypeId() {
        return typeId;
    }

    /**
     * 设置预警信号ID
     * @param typeId
     */
    public void setTypeId(int typeId) {
        this.typeId = typeId;
    }

    /**
     * 获取预警信号
     * @return 预警信号
     */
    public String getTypeName() {
        return typeName;
    }

    /**
     * 设置预警信号
     * @param typeName
     */
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    /**
     * 获取预警详细描述
     * @return 预警详细描述
     */
    public String getInfo() {
        return info;
    }

    /**
     * 设置预警详细描述
     * @param info
     */
    public void setInfo(String info) {
        this.info = info;
    }

//    /**
//     * 获取该天气所属地区
//     * @return 该天气所属地区
//     */
//    public TspCity getCity() {
//        return city;
//    }
//
//    /**
//     * 设置该天气所属地区
//     * @param city
//     */
//    public void setCity(TspCity city) {
//        this.city = city;
//    }
    protected AlarmInfo(Parcel in) {
         levelId = in.readInt();
         levelName = in.readString();
         release_time = in.readString();
         typeId = in.readInt();
         typeName= in.readString();
         info= in.readString();
//         city= in.readParcelable(TspCity.class.getClassLoader());

    }
    public static final Creator<AlarmInfo> CREATOR = new Creator<AlarmInfo>() {
        @Override
        public AlarmInfo createFromParcel(Parcel in) {
            return new AlarmInfo(in);
        }

        @Override
        public AlarmInfo[] newArray(int size) {
            return new AlarmInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(levelId);
        dest.writeString(levelName);
        dest.writeString(release_time);
        dest.writeInt(typeId);
        dest.writeString(typeName);
        dest.writeString(info);
//        dest.writeParcelable(city,flags);
    }
}
