package com.mxnavi.tspv2.weather.model;

import com.mxnavi.tspv2.model.TspCity;

import java.util.List;

/**
 * 生活指数查询结果
 */

public class LifeIndexResult {
    /**
     * 天气指数
     */
    List<WeatherIndex> lifeIndexList;
    TspCity distInfo;

    /**
     * 获取指数列表
     * @return
     */
    public List<WeatherIndex> getLifeIndexList() {
        return lifeIndexList;
    }

    /**
     * 设置指数列表
     * @param lifeIndexList
     */
    public void setLifeIndexList(List<WeatherIndex> lifeIndexList) {
        this.lifeIndexList = lifeIndexList;
    }

    /**
     * 获取区域信息
     * @return
     */
    public TspCity getDistInfo() {
        return distInfo;
    }

    /**
     * 设置区域信息
     * @param distInfo
     */
    public void setDistInfo(TspCity distInfo) {
        this.distInfo = distInfo;
    }
}
