package com.mxnavi.tspv2.weather.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/22.
 * desc
 */
public class Weather3hInfo implements Parcelable {
    String beginTime;
    String endTime;
    int highTemp;
    int lowTemp;
    int weatherId;
    String weatherName;

    public Weather3hInfo() {
    }

    /**
     * 获取开始日期  格式： HH:mm
     * @return 开始日期  格式： HH:mm
     */
    public String getBeginTime() {
        return beginTime;
    }

    /**
     * 设置开始日期  格式： HH:mm
     * @param beginTime
     */
    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    /**
     * 获取结束日期  格式： HH:mm
     * @return 结束日期  格式： HH:mm
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 设置结束日期  格式： HH:mm
     * @param endTime
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取时段最高气温
     * @return 时段最高气温
     */
    public int getHighTemp() {
        return highTemp;
    }

    /**
     * 设置时段最高气温
     * @param highTemp
     */
    public void setHighTemp(int highTemp) {
        this.highTemp = highTemp;
    }

    /**
     * 获取时段最低气温
     * @return 时段最低气温
     */
    public int getLowTemp() {
        return lowTemp;
    }

    /**
     * 设置时段最低气温
     * @param lowTemp
     */
    public void setLowTemp(int lowTemp) {
        this.lowTemp = lowTemp;
    }

    /**
     * 获取天气ID
     * @return 天气ID
     */
    public int getWeatherId() {
        return weatherId;
    }

    /**
     * 设置天气ID
     * @param weatherId
     */
    public void setWeatherId(int weatherId) {
        this.weatherId = weatherId;
    }

    /**
     * 获取天气描述
     * @return 天气描述
     */
    public String getWeatherName() {
        return weatherName;
    }

    /**
     * 设置天气描述
     * @param weatherName
     */
    public void setWeatherName(String weatherName) {
        this.weatherName = weatherName;
    }
    protected Weather3hInfo(Parcel in) {
         beginTime = in.readString();
         endTime = in.readString();
         highTemp = in.readInt();
         lowTemp = in.readInt();
         weatherId = in.readInt();
         weatherName = in.readString();
    }
    public static final Creator<Weather3hInfo> CREATOR = new Creator<Weather3hInfo>() {
        @Override
        public Weather3hInfo createFromParcel(Parcel in) {
            return new Weather3hInfo(in);
        }

        @Override
        public Weather3hInfo[] newArray(int size) {
            return new Weather3hInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(beginTime);
        dest.writeString(endTime);
        dest.writeInt(highTemp);
        dest.writeInt(lowTemp);
        dest.writeInt(weatherId);
        dest.writeString(weatherName);

    }
}