package com.mxnavi.tspv2.weather.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.TspCity;

import java.util.List;

/**
 * Created by Administrator on 2016/4/22.
 * desc
 */
public class Weather3hResult implements Parcelable {
    TspCity distInfo;
    List<Weather3hInfo> weather3hInfos;

    public Weather3hResult() {
    }

    /**
     * 获取该天气所属地区
     * @return 该天气所属地区
     */
    public TspCity getDistInfo() {
        return distInfo;
    }

    /**
     * 设置该天气所属地区
     * @param distInfo
     */
    public void setDistInfo(TspCity distInfo) {
        this.distInfo = distInfo;
    }

    /**
     * 获取未来3h天气节点
     * @return 未来3h天气节点
     */
    public List<Weather3hInfo> getWeather3hInfos() {
        return weather3hInfos;
    }

    /**
     * 设置未来3h天气节点
     * @param weather3hInfos
     */
    public void setWeather3hInfos(List<Weather3hInfo> weather3hInfos) {
        this.weather3hInfos = weather3hInfos;
    }
    protected Weather3hResult(Parcel in ) {
        distInfo = in.readParcelable(TspCity.class.getClassLoader());
        weather3hInfos = in.createTypedArrayList(Weather3hInfo.CREATOR);
    }
    public static final Creator<Weather3hResult> CREATOR = new Creator<Weather3hResult>() {
        @Override
        public Weather3hResult createFromParcel(Parcel in) {
            return new Weather3hResult(in);
        }

        @Override
        public Weather3hResult[] newArray(int size) {
            return new Weather3hResult[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeParcelable(distInfo,flags);
        dest.writeTypedList(weather3hInfos);
    }
}
