package com.mxnavi.tspv2.authservice.model;

/**
 * Created by lenovo on 2016/7/21.
 */
public class FirstActiveRequest {
    String productId;
    String deviceNo;
    String softVer;
    String dataVer;
    boolean encryption;
    String schemeId;
    boolean testFlag;
    String vin;
    String userName;
    String cardNo;
    String mobilePhone;
    String fixedPhone;
    int deviceType;
    int gender;
    String address;
    String mail;
    String handlers;

    /**
     * 获取 产品系列。由项目组来统一制定，要求同一个厂商不能够重复，各id代表那个厂商项目在项目部会有一个完整的记录。
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列。由项目组来统一制定，要求同一个厂商不能够重复，各id代表那个厂商项目在项目部会有一个完整的记录。
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取 生产系统 软件版本号
     * @return
     */
    public String getSoftVer() {
        return softVer;
    }

    /**
     * 设置 生产系统 软件版本号
     * @param softVer
     */
    public void setSoftVer(String softVer) {
        this.softVer = softVer;
    }

    /**
     * 获取 初始数据版本
     * @return
     */
    public String getDataVer() {
        return dataVer;
    }

    /**
     * 设置 初始数据版本
     * @param dataVer
     */
    public void setDataVer(String dataVer) {
        this.dataVer = dataVer;
    }

    /**
     * 获取 标识硬件序列号是否加密；0：未加密；1：已加密
     * @return
     */
    public boolean isEncryption() {
        return encryption;
    }

    /**
     * 设置 标识硬件序列号是否加密；0：未加密；1：已加密
     * @param encryption
     */
    public void setEncryption(boolean encryption) {
        this.encryption = encryption;
    }

    /**
     * 获取 方案公司ID
     * @return
     */
    public String getSchemeId() {
        return schemeId;
    }

    /**
     * 设置 方案公司ID
     * @param schemeId
     */
    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    /**
     * 获取 测试订单标识 false：测试订单 true：正式订单
     * @return
     */
    public boolean isTestFlag() {
        return testFlag;
    }

    /**
     * 设置 测试订单标识 false：测试订单 true：正式订单
     * @param testFlag
     */
    public void setTestFlag(boolean testFlag) {
        this.testFlag = testFlag;
    }

    /**
     * 获取 车架号
     * @return
     */
    public String getVin() {
        return vin;
    }

    /**
     * 设置 车架号
     * @param vin
     */
    public void setVin(String vin) {
        this.vin = vin;
    }

    /**
     * 获取 用户姓名
     * @return
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置 用户姓名
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取 用户身份证号
     * @return
     */
    public String getCardNo() {
        return cardNo;
    }

    /**
     * 设置 用户身份证号
     * @param cardNo
     */
    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    /**
     * 获取 手机号
     * @return
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置 手机号
     * @param mobilePhone
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取 固定电话号
     * @return
     */
    public String getFixedPhone() {
        return fixedPhone;
    }

    /**
     * 设置 固定电话号
     * @param fixedPhone
     */
    public void setFixedPhone(String fixedPhone) {
        this.fixedPhone = fixedPhone;
    }

    /**
     * 获取 设备类型1：车载，2：手持，3：DR芯片
     * @return
     */
    public int getDeviceType() {
        return deviceType;
    }

    /**
     * 设置 设备类型1：车载，2：手持，3：DR芯片
     * @param deviceType
     */
    public void setDeviceType(int deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 获取 性别
     * @return
     */
    public int getGender() {
        return gender;
    }

    /**
     * 设置 性别
     * @param gender
     */
    public void setGender(int gender) {
        this.gender = gender;
    }

    /**
     * 获取 地址
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置 地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取 邮箱
     * @return
     */
    public String getMail() {
        return mail;
    }

    /**
     * 设置 邮箱
     * @param mail
     */
    public void setMail(String mail) {
        this.mail = mail;
    }

    /**
     * 获取 操作者
     * @return
     */
    public String getHandlers() {
        return handlers;
    }

    /**
     * 设置 操作者
     * @param handlers
     */
    public void setHandlers(String handlers) {
        this.handlers = handlers;
    }
}
