package com.mxnavi.tspv2.carauth.model;

/**
 * Created by cikai on 2018/6/19.
 */
public class VehicleInfo {

    // 产品系列
    private String productId;

    // 用户类型
    private String typeId;

    // 用户 ID
    private String userId;

    // 集团 ID
    private String groupId;

    // 车队 ID
    private String fleetId;

    // 车辆唯一标识
    private String vin;

    // 品牌 ID
    private String vehicleBrandId;

    // 车系 ID
    private String vehicleSeriesId;

    // 车型 ID
    private String vehicleModelId;

    // 车队ID复数（逗号分隔）
    private String fleetIds;

    // 生产日期开始时间
    private String manufactureDateStart;

    // 生产日期结束时间
    private String manufactureDateEnd;

    // 行驶里程
    private String totalMileage;

    // 省份code
    private String dealerProvince;

    // 城市code
    private String dealerCity;

    // 终端ID
    private String tboxId;

    // 终端软件版本号
    private String tboxSoftwareVer;

    // 车辆类型
    private String vehicleCategory;

    // 车主类型
    private String vehicleOwnerType;

    // 上报标识（0：未上报 1：已上报）
    private String reportFlag;

    /**
     * 获取产品系列
     *
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     *
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取用户类型
     *
     * @return
     */
    public String getTypeId() {
        return typeId;
    }

    /**
     * 设置用户类型
     *
     * @param typeId
     */
    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    /**
     * 获取用户ID
     *
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户ID
     *
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取集团ID
     *
     * @return
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * 设置集团ID
     *
     * @param groupId
     */
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    /**
     * 获取车队ID
     *
     * @return
     */
    public String getFleetId() {
        return fleetId;
    }

    /**
     * 设置车队ID
     *
     * @param fleetId
     */
    public void setFleetId(String fleetId) {
        this.fleetId = fleetId;
    }

    /**
     * 获取车辆唯一标识
     *
     * @return
     */
    public String getVin() {
        return vin;
    }

    /**
     * 设置车辆唯一标识
     *
     * @param vin
     */
    public void setVin(String vin) {
        this.vin = vin;
    }

    /**
     * 获取品牌ID
     *
     * @return
     */
    public String getVehicleBrandId() {
        return vehicleBrandId;
    }

    /**
     * 设置品牌ID
     *
     * @param vehicleBrandId
     */
    public void setVehicleBrandId(String vehicleBrandId) {
        this.vehicleBrandId = vehicleBrandId;
    }

    /**
     * 获取车系ID
     *
     * @return
     */
    public String getVehicleSeriesId() {
        return vehicleSeriesId;
    }

    /**
     * 设置车系ID
     *
     * @param vehicleSeriesId
     */
    public void setVehicleSeriesId(String vehicleSeriesId) {
        this.vehicleSeriesId = vehicleSeriesId;
    }

    /**
     * 获取车型ID
     *
     * @return
     */
    public String getVehicleModelId() {
        return vehicleModelId;
    }

    /**
     * 设置车型ID
     *
     * @param vehicleModelId
     */
    public void setVehicleModelId(String vehicleModelId) {
        this.vehicleModelId = vehicleModelId;
    }

    /**
     * 获取车队ID复数（逗号分隔）
     *
     * @return
     */
    public String getFleetIds() {
        return fleetIds;
    }

    /**
     * 设置车队ID复数（逗号分隔）
     *
     * @param fleetIds
     */
    public void setFleetIds(String fleetIds) {
        this.fleetIds = fleetIds;
    }

    /**
     * 获取生产日期开始时间
     *
     * @return
     */
    public String getManufactureDateStart() {
        return manufactureDateStart;
    }

    /**
     * 设置生产日期开始时间
     *
     * @param manufactureDateStart
     */
    public void setManufactureDateStart(String manufactureDateStart) {
        this.manufactureDateStart = manufactureDateStart;
    }

    /**
     * 获取生产日期结束时间
     *
     * @return
     */
    public String getManufactureDateEnd() {
        return manufactureDateEnd;
    }

    /**
     * 设置生产日期结束时间
     *
     * @param manufactureDateEnd
     */
    public void setManufactureDateEnd(String manufactureDateEnd) {
        this.manufactureDateEnd = manufactureDateEnd;
    }

    /**
     * 获取行驶里程
     *
     * @return
     */
    public String getTotalMileage() {
        return totalMileage;
    }

    /**
     * 设置行驶里程
     *
     * @param totalMileage
     */
    public void setTotalMileage(String totalMileage) {
        this.totalMileage = totalMileage;
    }

    /**
     * 获取省份code
     *
     * @return
     */
    public String getDealerProvince() {
        return dealerProvince;
    }

    /**
     * 设置省份code
     *
     * @param dealerProvince
     */
    public void setDealerProvince(String dealerProvince) {
        this.dealerProvince = dealerProvince;
    }

    /**
     * 获取城市code
     *
     * @return
     */
    public String getDealerCity() {
        return dealerCity;
    }

    /**
     * 设置城市code
     *
     * @param dealerCity
     */
    public void setDealerCity(String dealerCity) {
        this.dealerCity = dealerCity;
    }

    /**
     * 获取终端ID
     *
     * @return
     */
    public String getTboxId() {
        return tboxId;
    }

    /**
     * 设置终端ID
     *
     * @param tboxId
     */
    public void setTboxId(String tboxId) {
        this.tboxId = tboxId;
    }

    /**
     * 获取终端软件版本号
     *
     * @return
     */
    public String getTboxSoftwareVer() {
        return tboxSoftwareVer;
    }

    /**
     * 设置终端软件版本号
     *
     * @param tboxSoftwareVer
     */
    public void setTboxSoftwareVer(String tboxSoftwareVer) {
        this.tboxSoftwareVer = tboxSoftwareVer;
    }

    /**
     * 获取车辆类型
     *
     * @return
     */
    public String getVehicleCategory() {
        return vehicleCategory;
    }

    /**
     * 设置车辆类型
     *
     * @param vehicleCategory
     */
    public void setVehicleCategory(String vehicleCategory) {
        this.vehicleCategory = vehicleCategory;
    }

    /**
     * 获取车主类型
     *
     * @return
     */
    public String getVehicleOwnerType() {
        return vehicleOwnerType;
    }

    /**
     * 设置车主类型
     *
     * @param vehicleOwnerType
     */
    public void setVehicleOwnerType(String vehicleOwnerType) {
        this.vehicleOwnerType = vehicleOwnerType;
    }

    /**
     * 获取上报标识（0：未上报 1：已上报）
     *
     * @return
     */
    public String getReportFlag() {
        return reportFlag;
    }

    /**
     * 设置上报标识（0：未上报 1：已上报）
     *
     * @param reportFlag
     */
    public void setReportFlag(String reportFlag) {
        this.reportFlag = reportFlag;
    }
}
