package com.mxnavi.tspv2.catering.model;

import java.util.List;

/**
 * Created by Administrator on 2018/5/23.
 */

public class QueryBusinessesRecord {

    // 所在区域信息列表，如[徐汇区,徐家汇]
    List<String> regions;

    // 店铺与参数坐标的距离，单位为米
    int distance;

    // 店铺名
    String name;

    // 店铺ID
    Integer businessId;

    // 分店名称
    String branchName;

    // 店铺经度坐标
    float longitude;

    // 小图列表，尺寸为278×200
    String sPhotoUrls;

    // 星级评分，5.0代表五星，4.5代表四星半，依此类推
    Float avgRating;

    // 店铺地址
    String address;

    // 所属分类信息列表，使用分类树结构，如[“美食,火锅”, “酒店,婚宴酒店”]
    List<String> categories;

    // 店铺纬度坐标
    float latitude;

    // 带区号的电话号码
    String telephone;

    // 人均价格，单位:元，若没有人均，返回-1
    Integer avgPrice;

    /**
     * 获取所在区域信息列表，如[徐汇区,徐家汇]
     * @return
     */
    public List<String> getRegions() {
        return regions;
    }

    /**
     * 设置所在区域信息列表，如[徐汇区,徐家汇]
     * @param regions
     */
    public void setRegions(List<String> regions) {
        this.regions = regions;
    }

    /**
     * 获取店铺与参数坐标的距离，单位为米
     * @return
     */
    public int getDistance() {
        return distance;
    }

    /**
     * 设置店铺与参数坐标的距离，单位为米
     * @param distance
     */
    public void setDistance(int distance) {
        this.distance = distance;
    }

    /**
     * 获取店铺名
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * 设置店铺名
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取店铺ID
     * @return
     */
    public Integer getBusinessId() {
        return businessId;
    }

    /**
     * 设置店铺ID
     * @param businessId
     */
    public void setBusinessId(Integer businessId) {
        this.businessId = businessId;
    }

    /**
     * 获取分店名称
     * @return
     */
    public String getBranchName() {
        return branchName;
    }

    /**
     * 设置分店名称
     * @param branchName
     */
    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    /**
     * 获取店铺经度坐标
     * @return
     */
    public float getLongitude() {
        return longitude;
    }

    /**
     * 设置店铺经度坐标
     * @param longitude
     */
    public void setLongitude(float longitude) {
        this.longitude = longitude;
    }

    /**
     * 获取小图列表，尺寸为278×200
     * @return
     */
    public String getsPhotoUrls() {
        return sPhotoUrls;
    }

    /**
     * 设置小图列表，尺寸为278×200
     * @param sPhotoUrls
     */
    public void setsPhotoUrls(String sPhotoUrls) {
        this.sPhotoUrls = sPhotoUrls;
    }

    /**
     * 获取星级评分，5.0代表五星，4.5代表四星半，依此类推
     * @return
     */
    public Float getAvgRating() {
        return avgRating;
    }

    /**
     * 设置星级评分，5.0代表五星，4.5代表四星半，依此类推
     * @param avgRating
     */
    public void setAvgRating(Float avgRating) {
        this.avgRating = avgRating;
    }

    /**
     * 获取店铺地址
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置店铺地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取所属分类信息列表，使用分类树结构，如[“美食,火锅”, “酒店,婚宴酒店”]
     * @return
     */
    public List<String> getCategories() {
        return categories;
    }

    /**
     * 设置所属分类信息列表，使用分类树结构，如[“美食,火锅”, “酒店,婚宴酒店”]
     * @param categories
     */
    public void setCategories(List<String> categories) {
        this.categories = categories;
    }

    /**
     * 获取店铺纬度坐标
     * @return
     */
    public float getLatitude() {
        return latitude;
    }

    /**
     * 设置店铺纬度坐标
     * @param latitude
     */
    public void setLatitude(float latitude) {
        this.latitude = latitude;
    }

    /**
     * 获取带区号的电话号码
     * @return
     */
    public String getTelephone() {
        return telephone;
    }

    /**
     * 设置带区号的电话号码
     * @param telephone
     */
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    /**
     * 获取人均价格，单位:元，若没有人均，返回-1
     * @return
     */
    public Integer getAvgPrice() {
        return avgPrice;
    }

    /**
     * 设置人均价格，单位:元，若没有人均，返回-1
     * @param avgPrice
     */
    public void setAvgPrice(Integer avgPrice) {
        this.avgPrice = avgPrice;
    }
}
