package com.mxnavi.tspv2.chargerStation.model;

import java.util.List;

/**
 * Created by Administrator on 2018/5/21.
 */

public class SearchAroundData {
    String stationId;
    String stationName;
    String areaCode;
    String address;
    String stationTel;
    String serviceTel;
    int stationType;
    int stationStatus;
    int parkNums;
    Double stationLng;
    Double stationLat;
    int construction;
    String pictures;
    String matchCars;
    String busineHours;
    String electricityFee;
    String serviceFee;
    String parkFee;
    String payment;
    int supportOrder;
    double distance;

    /**
     * 获取充电站ID
     * @return
     */
    public String getStationId() {
        return stationId;
    }

    /**
     * 设置充电站ID
     * @param stationId
     */
    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    /**
     * 获取充电站名称的描述
     * @return
     */
    public String getStationName() {
        return stationName;
    }

    /**
     * 设置充电站名称的描述
     * @param stationName
     */
    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    /**
     * 获取充电站省市辖区编码填写内容为参照GB/T2260-2015
     * @return
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置充电站省市辖区编码填写内容为参照GB/T2260-2015
     * @param areaCode
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    /**
     * 获取详细地址
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置详细地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取站点电话
     * @return
     */
    public String getStationTel() {
        return stationTel;
    }

    /**
     * 设置站点电话
     * @param stationTel
     */
    public void setStationTel(String stationTel) {
        this.stationTel = stationTel;
    }

    /**
     * 获取服务电话
     * @return
     */
    public String getServiceTel() {
        return serviceTel;
    }

    /**
     * 设置服务电话
     * @param serviceTel
     */
    public void setServiceTel(String serviceTel) {
        this.serviceTel = serviceTel;
    }

    /**
     * 获取站点类型1：公共50：个人100：公交（专用）101：环卫（专用）102：物流（专用）103：出租车（专用）255：其他
     * @return
     */
    public int getStationType() {
        return stationType;
    }

    /**
     * 设置站点类型1：公共50：个人100：公交（专用）101：环卫（专用）102：物流（专用）103：出租车（专用）255：其他
     * @param stationType
     */
    public void setStationType(int stationType) {
        this.stationType = stationType;
    }

    /**
     * 获取站点状态0：未知1：建设中5：关闭下线6：维护中50：正常使用
     * @return
     */
    public int getStationStatus() {
        return stationStatus;
    }

    /**
     * 设置站点状态0：未知1：建设中5：关闭下线6：维护中50：正常使用
     * @param stationStatus
     */
    public void setStationStatus(int stationStatus) {
        this.stationStatus = stationStatus;
    }

    /**
     * 获取车位数量
     * @return
     */
    public int getParkNums() {
        return parkNums;
    }

    /**
     * 设置车位数量
     * @param parkNums
     */
    public void setParkNums(int parkNums) {
        this.parkNums = parkNums;
    }

    /**
     * 获取经度
     * @return
     */
    public Double getStationLng() {
        return stationLng;
    }

    /**
     * 设置经度
     * @param stationLng
     */
    public void setStationLng(Double stationLng) {
        this.stationLng = stationLng;
    }

    /**
     * 获取纬度
     * @return
     */
    public Double getStationLat() {
        return stationLat;
    }

    /**
     * 设置纬度
     * @param stationLat
     */
    public void setStationLat(Double stationLat) {
        this.stationLat = stationLat;
    }

    /**
     * 获取建设场所1：居民区2：公共机构3：企事业单位4：写字楼5：工业园区6：交通枢纽
     * 7：大型文体设施8：城市绿地9：大型建筑配建停车场10：路边停车位11：城际高速服务区255：其他
     * @return
     */
    public int getConstruction() {
        return construction;
    }

    /**
     * 设置建设场所1：居民区2：公共机构3：企事业单位4：写字楼5：工业园区6：交通枢纽
     * 7：大型文体设施8：城市绿地9：大型建筑配建停车场10：路边停车位11：城际高速服务区255：其他
     * @param construction
     */
    public void setConstruction(int construction) {
        this.construction = construction;
    }

    /**
     * 获取站点照片 充电设备照片、充电车位照片、停车场入口照片
     * @return
     */
    public String getPictures() {
        return pictures;
    }

    /**
     * 设置站点照片 充电设备照片、充电车位照片、停车场入口照片
     * @param pictures
     */
    public void setPictures(String pictures) {
        this.pictures = pictures;
    }

    /**
     * 获取使用车型描述 描述该站点接受的车大小以及类型，如大巴、物流车、私家乘用车、出租车等[返回参数缺少【车位楼层及数量描述】]
     * @return
     */
    public String getMatchCars() {
        return matchCars;
    }

    /**
     * 设置使用车型描述 描述该站点接受的车大小以及类型，如大巴、物流车、私家乘用车、出租车等[返回参数缺少【车位楼层及数量描述】]
     * @param matchCars
     */
    public void setMatchCars(String matchCars) {
        this.matchCars = matchCars;
    }

    /**
     * 获取营业时间
     * @return
     */
    public String getBusineHours() {
        return busineHours;
    }

    /**
     * 设置营业时间
     * @param busineHours
     */
    public void setBusineHours(String busineHours) {
        this.busineHours = busineHours;
    }

    /**
     * 获取充电电费率
     * @return
     */
    public String getElectricityFee() {
        return electricityFee;
    }

    /**
     * 设置充电电费率
     * @param electricityFee
     */
    public void setElectricityFee(String electricityFee) {
        this.electricityFee = electricityFee;
    }

    /**
     * 获取服务费率
     * @return
     */
    public String getServiceFee() {
        return serviceFee;
    }

    /**
     * 设置服务费率
     * @param serviceFee
     */
    public void setServiceFee(String serviceFee) {
        this.serviceFee = serviceFee;
    }

    /**
     * 获取停车费
     * @return
     */
    public String getParkFee() {
        return parkFee;
    }

    /**
     * 设置停车费
     * @param parkFee
     */
    public void setParkFee(String parkFee) {
        this.parkFee = parkFee;
    }

    /**
     * 获取支付方式:刷卡、线上、现金 其中电子钱包类卡为刷卡，身份鉴权卡、微信/支付宝、APP为线上
     * @return
     */
    public String getPayment() {
        return payment;
    }

    /**
     * 设置支付方式:刷卡、线上、现金 其中电子钱包类卡为刷卡，身份鉴权卡、微信/支付宝、APP为线上
     * @param payment
     */
    public void setPayment(String payment) {
        this.payment = payment;
    }

    /**
     * 获取是否支持预约 充电设备是否需要提前预约后才能使用。0为不支持预约、1为支持预约。不填默认为0
     * @return
     */
    public int getSupportOrder() {
        return supportOrder;
    }

    /**
     * 设置是否支持预约 充电设备是否需要提前预约后才能使用。0为不支持预约、1为支持预约。不填默认为0
     * @param supportOrder
     */
    public void setSupportOrder(int supportOrder) {
        this.supportOrder = supportOrder;
    }

    /**
     * 获取直线距离
     * @return
     */
    public double getDistance() {
        return distance;
    }

    /**
     * 设置直线距离
     * @param distance
     */
    public void setDistance(double distance) {
        this.distance = distance;
    }
}
