package com.mxnavi.tspv2.feichuan.client.core;

import android.util.Log;

import com.mxnavi.tspv2.feichuan.client.core.listener.Connection;
import com.mxnavi.tspv2.feichuan.common.Constance;
import com.mxnavi.tspv2.feichuan.common.ExecutorManager;
import com.mxnavi.tspv2.feichuan.common.PacketEncoder;

import java.io.DataOutputStream;
import java.io.IOException;
import java.util.concurrent.TimeUnit;

/**
 * Created by Administrator on 2018/1/5.
 */

public class TcpHeatbeatHandler implements Runnable{

    Connection mConnection;
    DataOutputStream mDos = null;
    public TcpHeatbeatHandler(Connection connection){
        mConnection = connection;
    }
    public void startSend(DataOutputStream dos){
        mDos = dos;
        ExecutorManager.INSTANCE.getTimerThread() .scheduleAtFixedRate(this,
                8,8,TimeUnit.SECONDS);
    }
    public void stopSend(){
        ExecutorManager.INSTANCE.getTimerThread().shutdown();
    }
    @Override
    public void run() {
        try {
            Log.e(Constance.LOG_TAG,"sendHeatBeat");
            PacketEncoder.sendTcpHeatbeatMsg(mDos);
        }
        catch (IOException e){
            Log.e(Constance.LOG_TAG,"sendHeatBeat IOException"+Log.getStackTraceString(e));
            mConnection.close();
        }
    }
}
