package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class AlbumMediaQuery implements Parcelable,Serializable {
    String albumId;
    int offset;
    int limit;
    int isAsc;

    public AlbumMediaQuery() {
    }

    protected AlbumMediaQuery(Parcel in) {
        albumId = in.readString();
        offset = in.readInt();
        limit = in.readInt();
        isAsc = in.readInt();
    }

    public static final Creator<AlbumMediaQuery> CREATOR = new Creator<AlbumMediaQuery>() {
        @Override
        public AlbumMediaQuery createFromParcel(Parcel in) {
            return new AlbumMediaQuery(in);
        }

        @Override
        public AlbumMediaQuery[] newArray(int size) {
            return new AlbumMediaQuery[size];
        }
    };



    public String getAlbumId() {
        return albumId;
    }

    /**
     * 设置专辑id
     * @param albumId
     */
    public void setAlbumId(String albumId) {
        this.albumId = albumId;
    }

    public int getOffset() {
        return offset;
    }

    /**
     * 设置从第几条开始取，默认为1
     * @param offset
     */
    public void setOffset(int offset) {
        this.offset = offset;
    }

    public int getLimit() {
        return limit;
    }

    /**
     * 设置取多少条，默认20条
     * @param limit
     */
    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getIsAsc() {
        return isAsc;
    }

    /**
     * 设置顺序还是逆序 0:顺序,1:逆序，默认是为顺序
     * @param isAsc
     */
    public void setIsAsc(int isAsc) {
        this.isAsc = isAsc;
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(albumId);
        dest.writeInt(offset);
        dest.writeInt(limit);
        dest.writeInt(isAsc);
    }
}

