package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;
import java.util.List;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class AlbumTagsResult implements Parcelable,Serializable {
    int nextLevel;
    List<AlbumTag> tags;

    public AlbumTagsResult() {
    }

    public AlbumTagsResult(Parcel in) {
        nextLevel = in.readInt();
        tags = in.createTypedArrayList(AlbumTag.CREATOR);
    }

    public static final Creator<AlbumTagsResult> CREATOR = new Creator<AlbumTagsResult>() {
        @Override
        public AlbumTagsResult createFromParcel(Parcel in) {
            return new AlbumTagsResult(in);
        }

        @Override
        public AlbumTagsResult[] newArray(int size) {
            return new AlbumTagsResult[size];
        }
    };
    public int getNextLevel() {
        return nextLevel;
    }
    /**
     * 设置下一级内容
     *@return
     */
    public void setNextLevel(int nextLevel) {
        this.nextLevel = nextLevel;
    }

    public List<AlbumTag> getTags() {
        return tags;
    }
    /**
     * 设置专辑的标签列表
     *@return
     */
    public void setTags(List<AlbumTag> tags) {
        this.tags = tags;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(nextLevel);
        dest.writeTypedList(tags);
    }
}

