package com.mxnavi.tspv2.fm.model;

/**
 * Created by Administrator on 2018/2/27.
 */

public class RadiosQuery {
    int radioType;
    int provinceCode = 0;
    int page = 1;
    int count = 20;

    /**
     * 获取电台类型：1-国家台，2-省市台，3-网络台
     * @return
     */
    public int getRadioType() {
        return radioType;
    }

    /**
     * 设置电台类型：1-国家台，2-省市台，3-网络台
     * @param radioType
     */
    public void setRadioType(int radioType) {
        this.radioType = radioType;
    }

    /**
     * 获取省份代码，radio_type为2时不能为空
     * @return
     */
    public int getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置省份代码，radio_type为2时不能为空
     * @param provinceCode
     */
    public void setProvinceCode(int provinceCode) {
        this.provinceCode = provinceCode;
    }

    /**
     * 获取返回第几页，必须大于等于1，不填默认为1
     * @return
     */
    public int getPage() {
        return page;
    }

    /**
     * 设置返回第几页，必须大于等于1，不填默认为1
     * @param page
     */
    public void setPage(int page) {
        this.page = page;
    }

    /**
     * 获取每页多少条，默认20，最多不超过200
     * @return
     */
    public int getCount() {
        return count;
    }

    /**
     * 设置每页多少条，默认20，最多不超过200
     * @param count
     */
    public void setCount(int count) {
        this.count = count;
    }
}
