package com.mxnavi.tspv2.gasstation.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2016/4/29.
 * 沿路检索加油站的沿路信息类
 */
public class Route {
    List<LatLng> locationList;
    int radius;
    int side;

    /**
     * 获取经纬度集合
     * @return
     */
    public List<LatLng> getLocationList() {
        return locationList;
    }

    /**
     * 设置经纬度集合
     * @param locationList
     */
    public void setLocationList(List<LatLng> locationList) {
        this.locationList = locationList;
    }

    /**
     * 获取半径。默认100米,最大1000米
     * @return
     */
    public int getRadius() {
        return radius;
    }

    /**
     * 设置半径。默认100米,最大1000米
     * @param radius
     */
    public void setRadius(int radius) {
        this.radius = radius;
    }

    /**
     * 获取在路左右位置。1：左2：右3：两侧. 默认3
     * @return
     */
    public int getSide() {
        return side;
    }

    /**
     * 设置在路左右位置。1：左2：右3：两侧. 默认3
     * @param side
     */
    public void setSide(int side) {
        this.side = side;
    }
}
