package com.mxnavi.tspv2.http;

import java.io.File;
import java.util.concurrent.ConcurrentHashMap;

/**
 * Created by Administrator on 2017/6/2.
 */

public class RequestParams {
    protected final ConcurrentHashMap<String, String> urlParams;
    protected final ConcurrentHashMap<String, File> fileParams;
    public RequestParams(){
        this.urlParams = new ConcurrentHashMap();
        this.fileParams = new ConcurrentHashMap();
    }
    public void put(String key,String value){
    	if(value == null){
    		value = "";
    	}
        urlParams.put(key,value);
    }
    public void put(String key,File file){
    	if(file ==null){
    		return;
    	}
        fileParams.put(key,file);
    }
    public void put(String key,Object value){
    	if(value == null){
    		return;
    	}
        urlParams.put(key,String.valueOf(value));
    }
}
