package com.mxnavi.tspv2.notification.model;


import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by lenovo on 2016/5/24.
 */
public class LoginData implements Parcelable {
    LoginDataInfo loginInfo;
    UserInfoResult user;

    public LoginData() {

    }

    /**
     * 获取 登录信息
     *
     * @return
     */
    public LoginDataInfo getLoginInfo() {
        return loginInfo;
    }

    /**
     * 设置 登录信息
     *
     * @param loginInfo
     */
    public void setLoginInfo(LoginDataInfo loginInfo) {
        this.loginInfo = loginInfo;
    }

    /**
     * 获取 用户基本信息
     *
     * @return
     */
    public UserInfoResult getUser() {
        return user;
    }

    /**
     * 设置 用户基本信息
     *
     * @param user
     */
    public void setUser(UserInfoResult user) {
        this.user = user;
    }

    protected LoginData(Parcel in) {
        loginInfo = in.readParcelable(LoginDataInfo.class.getClassLoader());
        user = in.readParcelable(UserInfoResult.class.getClassLoader());
    }
    public static final Parcelable.Creator<LoginData> CREATOR = new Parcelable.Creator<LoginData>() {
        @Override
        public LoginData createFromParcel(Parcel in) {
            return new LoginData(in);
        }

        @Override
        public LoginData[] newArray(int size) {
            return new LoginData[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeParcelable(loginInfo,flags);
        dest.writeParcelable(user,flags);
    }
}
