package com.mxnavi.tspv2.parklot.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2016/4/29.
 * desc
 */
public class ParkingLotSearchQuery {
    String keyword;
    LatLng location;
    int radius;
    int sort;
    int startPage;
    int limit;

    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置检索关键字，如果为空时，使用lat/lng检索
     * @param keyword
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public LatLng getLocation() {
        return location;
    }

    /**
     * 设置经纬度
     * @param location
     */
    public void setLocation(LatLng location) {
        this.location = location;
    }

    public int getRadius() {
        return radius;
    }

    /**
     *设置检索半径，单位：米（默认1000米）
     * @param radius
     */
    public void setRadius(int radius) {
        this.radius = radius;
    }

    public int getSort() {
        return sort;
    }

    /**
     * 设置排序方式，取值范围：
     0:distance|1:availability|2:rating|3:price
     默认：0:distance
     * @param sort
     */
    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getStartPage() {
        return startPage;
    }

    /**
     * 设置请求第几页（页号从1开始）
     * @param startPage
     */
    public void setStartPage(int startPage) {
        this.startPage = startPage;
    }

    public int getLimit() {
        return limit;
    }

    /**
     * 设置每页中包含多少条记录
     * @param limit
     */
    public void setLimit(int limit) {
        this.limit = limit;
    }
}
