package com.mxnavi.tspv2.placeservice.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/2/9.
 */

public class RangeData {
    String source;
    String distType;
    LatLng leftDown;
    LatLng rightUp;

    /**
     * 获取资源 (GD.高德 EMG.emg SW.四维)
     * @return
     */
    public String getSource() {
        return source;
    }

    /**
     * 设置资源 GD.高德 EMG.emg SW.四维)
     * @param source
     */
    public void setSource(String source) {
        this.source = source;
    }

    /**
     * 获取区域类型 区域类型(0.首都1.直辖市2.省会3.地级市/盟4.县级市5.县/自治县/旗)
     * @return
     */
    public String getDistType() {
        return distType;
    }

    /**
     * 设置区域类型 区域类型(0.首都1.直辖市2.省会3.地级市/盟4.县级市5.县/自治县/旗)
     * @param distType
     */
    public void setDistType(String distType) {
        this.distType = distType;
    }

    /**
     * 获取左下点经纬度
     * @return
     */
    public LatLng getLeftDown() {
        return leftDown;
    }

    /**
     * 设置左下点经纬度
     * @param leftDown
     */
    public void setLeftDown(LatLng leftDown) {
        this.leftDown = leftDown;
    }

    /**
     * 右上点经纬度
     * @return
     */
    public LatLng getRightUp() {
        return rightUp;
    }

    /**
     * 右上点经纬度
     * @param rightUp
     */
    public void setRightUp(LatLng rightUp) {
        this.rightUp = rightUp;
    }
}
