package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 *  取得全部控制设备的状态(请求/应答)
 *   app->服务器 请求时：
 *   如果只传"request_id"和"common_param"，表示"查询"指令，
 *   服务器 -> app 应答时：将请求的"request_id"传回，同时，
 *   各设备状态通过相应的"all_state_message"返回.
 */

public class CtrlAllStateMobileMsg {
    /**
     * 安防密码
     */
    String safePassword;
    /**
     * 通用参数
     */
    CtrlCommonParamMobile commonParam;
    /**
     * 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     */
    Integer respCode;
    /**
     * 取得全部控制设备的状态
     */
    CtrlAllStateMsg allStateMessage;
    /**
     * 获取 安防密码
     * @return
     */
    public String getSafePassword() {
        return safePassword;
    }

    /**
     * 设置 安防密码
     * @param safePassword
     */
    public void setSafePassword(String safePassword) {
        this.safePassword = safePassword;
    }

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamMobile getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamMobile commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     * @return
     */
    public Integer getRespCode() {
        return respCode;
    }

    /**
     * 设置 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     * @param respCode
     */
    public void setRespCode(Integer respCode) {
        this.respCode = respCode;
    }

    /**
     * 获取 取得全部控制设备的状态
     * @return
     */
    public CtrlAllStateMsg getAllStateMessage() {
        return allStateMessage;
    }

    /**
     * 设置 取得全部控制设备的状态
     * @param allStateMessage
     */
    public void setAllStateMessage(CtrlAllStateMsg allStateMessage) {
        this.allStateMessage = allStateMessage;
    }
}
