package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by cikai on 2018/8/7.
 * 车门控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */
public class CtrlDoorsMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 车门控制信息
     * Bit: 0-左前
     *      1-右前
     *      2-左后
     *      3-右后
     */
    CtrlCommonInfo doorsCtrlInfo;
    /**
     * 状态信息
     */
    DoorsStateInfo doorsStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 车门控制信息
     * Bit: 0-左前
     *      1-右前
     *      2-左后
     *      3-右后
     * @return
     */
    public CtrlCommonInfo getDoorsCtrlInfo() {
        return doorsCtrlInfo;
    }

    /**
     * 设置 车门控制信息
     * Bit: 0-左前
     *      1-右前
     *      2-左后
     *      3-右后
     * @param doorsCtrlInfo
     */
    public void setDoorsCtrlInfo(CtrlCommonInfo doorsCtrlInfo) {
        this.doorsCtrlInfo = doorsCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public DoorsStateInfo getDoorsStateInfo() {
        return doorsStateInfo;
    }

    /**
     * 设置 状态信息
     * @param doorsStateInfo
     */
    public void setDoorsStateInfo(DoorsStateInfo doorsStateInfo) {
        this.doorsStateInfo = doorsStateInfo;
    }
}
