package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/20.
 * 电动机控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */
public class CtrlElectromotorMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 电动机控制信息
     * Bit: 0-上下电状态
     */
    CtrlCommonInfo electromotorCtrlInfo;
    /**
     * 状态信息
     */
    ElectromotorStateInfo electromotorStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 电动机控制信息
     * Bit: 0-上下电状态
     * @return
     */
    public CtrlCommonInfo getElectromotorCtrlInfo() {
        return electromotorCtrlInfo;
    }

    /**
     * 设置 电动机控制信息
     * Bit: 0-上下电状态
     * @param electromotorCtrlInfo
     */
    public void setElectromotorCtrlInfo(CtrlCommonInfo electromotorCtrlInfo) {
        this.electromotorCtrlInfo = electromotorCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public ElectromotorStateInfo getElectromotorStateInfo() {
        return electromotorStateInfo;
    }

    /**
     * 设置 状态信息
     * @param electromotorStateInfo
     */
    public void setElectromotorStateInfo(ElectromotorStateInfo electromotorStateInfo) {
        this.electromotorStateInfo = electromotorStateInfo;
    }
}
