package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/8.
 * <p>
 * 参数设定proto/查询消息返回proto
 */
public class CtrlTboxParamMsg {
    /**
     * 配置项信息
     */
    private ConfigInfo configInfo;
    /**
     * 版本信息
     */
    private VersionInfo versionInfo;
    /**
     * 参数操作信息
     */
    private StateInfo stateInfo;

    /**
     * 获取 配置项信息
     *
     * @return the config info
     */
    public ConfigInfo getConfigInfo() {
        return configInfo;
    }

    /**
     * 设置 配置项信息
     *
     * @param configInfo the config info
     */
    public void setConfigInfo(ConfigInfo configInfo) {
        this.configInfo = configInfo;
    }

    /**
     * 获取 版本信息
     *
     * @return the version info
     */
    public VersionInfo getVersionInfo() {
        return versionInfo;
    }

    /**
     * 设置 版本信息
     *
     * @param versionInfo the version info
     */
    public void setVersionInfo(VersionInfo versionInfo) {
        this.versionInfo = versionInfo;
    }

    /**
     * 获取 参数操作信息
     *
     * @return the state info
     */
    public StateInfo getStateInfo() {
        return stateInfo;
    }

    /**
     * 设置 参数操作信息
     *
     * @param stateInfo the state info
     */
    public void setStateInfo(StateInfo stateInfo) {
        this.stateInfo = stateInfo;
    }

    /**
     * 状态信息
     */
    class StateInfo {
        /**
         * 是否处于抽样检测中
         */
        Boolean sampling;

        /**
         * 获取 是否处于抽样检测中
         *
         * @return the sampling
         */
        public Boolean getSampling() {
            return sampling;
        }

        /**
         * /**
         * 是否处于抽样检测中设置 是否处于抽样检测中
         *
         *
         * @param sampling the sampling
         */
        public void setSampling(Boolean sampling) {
            this.sampling = sampling;
        }
    }
}
