package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 后备箱控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlTrunkDoorsMobileMsg {
    /**
     * 安防密码
     */
    String safePassword;
    /**
     * 通用参数
     */
    CtrlCommonParamMobile commonParam;
    /**
     * 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     */
    Integer respCode;
    /**
     * 车门控制消息
     */
    CtrlTrunkDoorsMsg trunkDoorsMessage;

    /**
     * 获取 安防密码
     * @return
     */
    public String getSafePassword() {
        return safePassword;
    }

    /**
     * 设置 安防密码
     * @param safePassword
     */
    public void setSafePassword(String safePassword) {
        this.safePassword = safePassword;
    }

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamMobile getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamMobile commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     * @return
     */
    public Integer getRespCode() {
        return respCode;
    }

    /**
     * 设置 应答状态码（100:成功;-100:失败;-101:参数缺失;-102:验证失败;-103:上一条指令未执行完成;-201:设置未成功;-202:vin重复;）
     * @param respCode
     */
    public void setRespCode(Integer respCode) {
        this.respCode = respCode;
    }

    /**
     * 获取 车门控制消息
     * @return
     */
    public CtrlTrunkDoorsMsg getTrunkDoorsMessage() {
        return trunkDoorsMessage;
    }

    /**
     * 设置 车门控制消息
     * @param trunkDoorsMessage
     */
    public void setTrunkDoorsMessage(CtrlTrunkDoorsMsg trunkDoorsMessage) {
        this.trunkDoorsMessage = trunkDoorsMessage;
    }
}
