package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by cikai on 2018/8/8.
 * <p>
 * 车辆其他状态
 */
public class StateOtherMsg {
    /**
     * 制动液状态 0xFF：无法得到当前状态
     */
    private Double brakeFluid;

    /**
     * 获取制动液状态 0xFF：无法得到当前状态
     *
     * @return the brake fluid
     */
    public Double getBrakeFluid() {
        return brakeFluid;
    }

    /**
     * 设置制动液状态 0xFF：无法得到当前状态
     *
     * @param brakeFluid the brake fluid
     */
    public void setBrakeFluid(Double brakeFluid) {
        this.brakeFluid = brakeFluid;
    }
}
