package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/20.
 */
public class StateTyreMsg {
    /**
     * 左前车胎压力 0xFFFF：无法得到当前状态
     */
    private Double tirePressureLeftBefore;
    /**
     * 右前车胎压力 0xFFFF：无法得到当前状态
     */
    private Double tirePressureRightBefore;
    /**
     * 右后车胎压力 0xFFFF：无法得到当前状态
     */
    private Double tirePressureRightBack;
    /**
     * 左后车胎压力 0xFFFF：无法得到当前状态
     */
    private Double tirePressureLeftBack;
    /**
     * 左前车胎温度 0xFF：无法得到当前状态
     */
    private Double tireTemperatureLeftBefore;
    /**
     * 右前车胎温度 0xFF：无法得到当前状态
     */
    private Double tireTemperatureRightBefore;
    /**
     * 右前车胎温度 0xFF：无法得到当前状态
     */
    private Double tireTemperatureRightBack;
    /**
     * 左后车胎温度 0xFF：无法得到当前状态
     */
    private Double tireTemperatureLeftBack;

    /**
     * 获取 左前车胎压力 0xFFFF：无法得到当前状态
     *
     * @return the tire pressure left before
     */
    public Double getTirePressureLeftBefore() {
        return tirePressureLeftBefore;
    }

    /**
     * 设置 左前车胎压力 0xFFFF：无法得到当前状态
     *
     * @param tirePressureLeftBefore the tire pressure left before
     */
    public void setTirePressureLeftBefore(Double tirePressureLeftBefore) {
        this.tirePressureLeftBefore = tirePressureLeftBefore;
    }

    /**
     * 获取 右前车胎压力 0xFFFF：无法得到当前状态
     *
     * @return the tire pressure right before
     */
    public Double getTirePressureRightBefore() {
        return tirePressureRightBefore;
    }

    /**
     * 设置 右前车胎压力 0xFFFF：无法得到当前状态
     *
     * @param tirePressureRightBefore the tire pressure right before
     */
    public void setTirePressureRightBefore(Double tirePressureRightBefore) {
        this.tirePressureRightBefore = tirePressureRightBefore;
    }

    /**
     * 获取 右后车胎压力 0xFFFF：无法得到当前状态
     *
     * @return the tire pressure right back
     */
    public Double getTirePressureRightBack() {
        return tirePressureRightBack;
    }

    /**
     * 设置 右后车胎压力 0xFFFF：无法得到当前状态
     *
     * @param tirePressureRightBack the tire pressure right back
     */
    public void setTirePressureRightBack(Double tirePressureRightBack) {
        this.tirePressureRightBack = tirePressureRightBack;
    }

    /**
     * 获取 左后车胎压力 0xFFFF：无法得到当前状态
     *
     * @return the tire pressure left back
     */
    public Double getTirePressureLeftBack() {
        return tirePressureLeftBack;
    }

    /**
     * 设置 左后车胎压力 0xFFFF：无法得到当前状态
     *
     * @param tirePressureLeftBack the tire pressure left back
     */
    public void setTirePressureLeftBack(Double tirePressureLeftBack) {
        this.tirePressureLeftBack = tirePressureLeftBack;
    }

    /**
     * 获取 左前车胎温度 0xFF：无法得到当前状态
     *
     * @return the tire temperature left before
     */
    public Double getTireTemperatureLeftBefore() {
        return tireTemperatureLeftBefore;
    }

    /**
     * 设置 左前车胎温度 0xFF：无法得到当前状态
     *
     * @param tireTemperatureLeftBefore the tire temperature left before
     */
    public void setTireTemperatureLeftBefore(Double tireTemperatureLeftBefore) {
        this.tireTemperatureLeftBefore = tireTemperatureLeftBefore;
    }

    /**
     * 获取 右前车胎温度 0xFF：无法得到当前状态
     *
     * @return the tire temperature right before
     */
    public Double getTireTemperatureRightBefore() {
        return tireTemperatureRightBefore;
    }

    /**
     * 设置 右前车胎温度 0xFF：无法得到当前状态
     *
     * @param tireTemperatureRightBefore the tire temperature right before
     */
    public void setTireTemperatureRightBefore(Double tireTemperatureRightBefore) {
        this.tireTemperatureRightBefore = tireTemperatureRightBefore;
    }

    /**
     * 获取 右前车胎温度 0xFF：无法得到当前状态
     *
     * @return the tire temperature right back
     */
    public Double getTireTemperatureRightBack() {
        return tireTemperatureRightBack;
    }

    /**
     * 设置 右前车胎温度 0xFF：无法得到当前状态
     *
     * @param tireTemperatureRightBack the tire temperature right back
     */
    public void setTireTemperatureRightBack(Double tireTemperatureRightBack) {
        this.tireTemperatureRightBack = tireTemperatureRightBack;
    }

    /**
     * 获取 左后车胎温度 0xFF：无法得到当前状态
     *
     * @return the tire temperature left back
     */
    public Double getTireTemperatureLeftBack() {
        return tireTemperatureLeftBack;
    }

    /**
     * 设置 左后车胎温度 0xFF：无法得到当前状态
     *
     * @param tireTemperatureLeftBack the tire temperature left back
     */
    public void setTireTemperatureLeftBack(Double tireTemperatureLeftBack) {
        this.tireTemperatureLeftBack = tireTemperatureLeftBack;
    }
}
