package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by cikai on 2018/8/7.
 */
public class TopWindowsInfo {
    /**
     * 天窗遮阳板状态 true-开 false-关
     */
    Integer sunroofCurtainStatus;
    /**
     * 天窗状态状态 true-开 false-关
     */
    Integer sunroofGlassStatus;
    /**
     * 天窗玻璃位置
     */
    SunroofGlassPossition sunroofGlassPossition;

    /**
     * 获取天窗遮阳板状态 true-开 false-关
     *
     * @return the sunroof curtain status
     */
    public Integer getSunroofCurtainStatus() {
        return sunroofCurtainStatus;
    }

    /**
     * 设置天窗遮阳板状态 true-开 false-关
     *
     * @param sunroofCurtainStatus the sunroof curtain status
     */
    public void setSunroofCurtainStatus(Integer sunroofCurtainStatus) {
        this.sunroofCurtainStatus = sunroofCurtainStatus;
    }

    /**
     * 获取天窗状态状态 true-开 false-关
     *
     * @return the sunroof glass status
     */
    public Integer getSunroofGlassStatus() {
        return sunroofGlassStatus;
    }

    /**
     * 设置天窗状态状态 true-开 false-关
     *
     * @param sunroofGlassStatus the sunroof glass status
     */
    public void setSunroofGlassStatus(Integer sunroofGlassStatus) {
        this.sunroofGlassStatus = sunroofGlassStatus;
    }

    /**
     * 获取天窗玻璃位置
     *
     * @return the sunroof glass possition
     */
    public SunroofGlassPossition getSunroofGlassPossition() {
        return sunroofGlassPossition;
    }

    /**
     * 设置天窗玻璃位置
     *
     * @param sunroofGlassPossition the sunroof glass possition
     */
    public void setSunroofGlassPossition(SunroofGlassPossition sunroofGlassPossition) {
        this.sunroofGlassPossition = sunroofGlassPossition;
    }

    /**
     * 天窗玻璃位置
     */
    public static enum SunroofGlassPossition {
        /**
         * 未初始化
         */
        DE_INIT(0X0),
        /**
         * 起翘区域
         */
        C_POS(0X1),
        /**
         * 内藏滑动区域
         */
        A_POS(0X2),
        /**
         * 全闭点
         */
        B_POS(0X3),
        /**
         *无效
         */
        STATE_EXCEPTION_SUNROOF_GLASS(0XFF);

        private int value;

        SunroofGlassPossition(int value) {
            this.value = value;
        }

        /**
         * Gets value.
         *
         * @return the value
         */
        public int getValue() {
            return value;
        }
    }
}
