package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 天窗状态信息
 */

public class TopWindowsStateInfo {
    /**
     * Sunroof curtain status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     */
    Integer sunroofCurtain;
    /**
     * Sunroof Glass status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     */
    Integer sunroofGlass;
    /**
     * Sunroof Glass Possition
     * 0x0: De-init   (未初始化)
     * 0x1: c Pos   (起翘区域)
     * 0x2: a Pos   (内藏滑动区域)
     * 0x3: b pos    (全闭点)
     * 0xFF: 无效
     */
    Integer sunroofPossition;

    /**
     * 获取 Sunroof curtain status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     * @return
     */
    public Integer getSunroofCurtain() {
        return sunroofCurtain;
    }

    /**
     * 设置 Sunroof curtain status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     * @param sunroofCurtain
     */
    public void setSunroofCurtain(Integer sunroofCurtain) {
        this.sunroofCurtain = sunroofCurtain;
    }

    /**
     * 获取 Sunroof Glass status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     * @return
     */
    public Integer getSunroofGlass() {
        return sunroofGlass;
    }

    /**
     * 设置 Sunroof Glass status
     * 0x1: Open
     * 0x2: Closed
     * 0xFF: 无效
     * @param sunroofGlass
     */
    public void setSunroofGlass(Integer sunroofGlass) {
        this.sunroofGlass = sunroofGlass;
    }

    /**
     * 获取 Sunroof Glass Possition
     * 0x0: De-init   (未初始化)
     * 0x1: c Pos   (起翘区域)
     * 0x2: a Pos   (内藏滑动区域)
     * 0x3: b pos    (全闭点)
     * 0xFF: 无效
     * @return
     */
    public Integer getSunroofPossition() {
        return sunroofPossition;
    }

    /**
     * 设置 Sunroof Glass Possition
     * 0x0: De-init   (未初始化)
     * 0x1: c Pos   (起翘区域)
     * 0x2: a Pos   (内藏滑动区域)
     * 0x3: b pos    (全闭点)
     * 0xFF: 无效
     * @param sunroofPossition
     */
    public void setSunroofPossition(Integer sunroofPossition) {
        this.sunroofPossition = sunroofPossition;
    }
}
