package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 后备箱状态信息
 * Bit: 0-后备箱
 */

public class TrunkDoorsStateInfo {
    /**
     * 后备箱锁状态: 0-关;1-开
     * Bit: 同上
     */
    long lockOnOff;
    /**
     * 后备箱锁异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     */
    long lockStateException;
    /**
     * 后备箱开关状态: 0-关;1-开
     * Bit: 同上
     */
    long trunkOnOff;
    /**
     * 后备箱开关异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     */
    long trunkStateException;

    /**
     * 获取 后备箱锁状态: 0-关;1-开
     * Bit: 同上
     * @return
     */
    public long getLockOnOff() {
        return lockOnOff;
    }

    /**
     * 后备箱锁状态: 0-关;1-开
     * Bit: 同上
     * @param lockOnOff
     */
    public void setLockOnOff(long lockOnOff) {
        this.lockOnOff = lockOnOff;
    }

    /**
     * 获取 后备箱锁异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     * @return
     */
    public long getLockStateException() {
        return lockStateException;
    }

    /**
     * 后备箱锁异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     * @param lockStateException
     */
    public void setLockStateException(long lockStateException) {
        this.lockStateException = lockStateException;
    }

    /**
     * 获取 后备箱开关状态: 0-关;1-开
     * Bit: 同上
     * @return
     */
    public long getTrunkOnOff() {
        return trunkOnOff;
    }

    /**
     * 后备箱开关状态: 0-关;1-开
     * Bit: 同上
     * @param trunkOnOff
     */
    public void setTrunkOnOff(long trunkOnOff) {
        this.trunkOnOff = trunkOnOff;
    }

    /**
     * 获取 后备箱开关异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     * @return
     */
    public long getTrunkStateException() {
        return trunkStateException;
    }

    /**
     * 后备箱开关异常状态(0-无异常; 1-有异常 例如：获取当前状态失败)
     * Bit: 同上
     * @param trunkStateException
     */
    public void setTrunkStateException(long trunkStateException) {
        this.trunkStateException = trunkStateException;
    }
}
