package com.mxnavi.tspv2.trafficrestriction.model;

import java.util.List;

/**
 * Created by Administrator on 2016/5/4.
 * desc
 */
public class SearchRestrictionResult {
    String areaCode;
    String areaName;
    String matchFlag;
    List<RestrictInfo> weekRestrict;
    List<RestrictInfo> numberRestrict;
    List<RestrictInfo> dateRestrict;
    List<RestrictInfo> otherRestrict;

    /**
     * 获取行政区代码
     * @return
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置行政区代码
     * @param areaCode
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    /**
     * 获取行政区名称
     * @return
     */
    public String getAreaName() {
        return areaName;
    }

    /**
     * 设置行政区名称
     * @param areaName
     */
    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    /**
     * 获取车牌号和行政区域匹配（true匹配 false未匹配）
     * @return
     */
    public String isMatchFlag() {
        return matchFlag;
    }

    /**
     * 设置车牌号和行政区域匹配（true匹配 false未匹配）
     * @param matchFlag
     */
    public void setMatchFlag(String matchFlag) {
        this.matchFlag = matchFlag;
    }

    /**
     * 获取星期限行：显示一周限行信息
     * @return
     */
    public List<RestrictInfo> getWeekRestrict() {
        return weekRestrict;
    }

    /**
     * 设置星期限行：显示一周限行信息
     * @param weekRestrict
     */
    public void setWeekRestrict(List<RestrictInfo> weekRestrict) {
        this.weekRestrict = weekRestrict;
    }

    /**
     * 获取单/双号限行：显示今天和明天的限行信息
     * @return
     */
    public List<RestrictInfo> getNumberRestrict() {
        return numberRestrict;
    }

    /**
     * 设置单/双号限行：显示今天和明天的限行信息
     * @param numberRestrict
     */
    public void setNumberRestrict(List<RestrictInfo> numberRestrict) {
        this.numberRestrict = numberRestrict;
    }

    /**
     * 获取日期尾号限行：显示三天的限行信息
     * @return
     */
    public List<RestrictInfo> getDateRestrict() {
        return dateRestrict;
    }

    /**
     * 设置日期尾号限行：显示三天的限行信息
     * @param dateRestrict
     */
    public void setDateRestrict(List<RestrictInfo> dateRestrict) {
        this.dateRestrict = dateRestrict;
    }

    /**
     * 获取其他限行，显示当前天
     * @return
     */
    public List<RestrictInfo> getOtherRestrict() {
        return otherRestrict;
    }

    /**
     * 设置其他限行，显示当前天
     * @param otherRestrict
     */
    public void setOtherRestrict(List<RestrictInfo> otherRestrict) {
        this.otherRestrict = otherRestrict;
    }
}
