package com.mxnavi.tspv2.userauth.model;

/**
 * Created by Administrator on 2018/1/30.
 */

public class AuthenticationInfo {
    String userId;
    String userFullname;
    String certificateType;
    String certificateCode;
    String frontPhotoUrl;
    String backPhotoUrl;
    String certificatePhotoUrl;
    String authState;

    /**
     * 获取用户ID
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户ID
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取真实姓名
     * @return
     */
    public String getUserFullname() {
        return userFullname;
    }

    /**
     * 设置真实姓名
     * @param userFullname
     */
    public void setUserFullname(String userFullname) {
        this.userFullname = userFullname;
    }

    /**
     * 获取用户证件类型：1=身份证 2=护照 3=营业执照
     * @return
     */
    public String getCertificateType() {
        return certificateType;
    }

    /**
     * 设置用户证件类型：1=身份证 2=护照 3=营业执照
     * @param certificateType
     */
    public void setCertificateType(String certificateType) {
        this.certificateType = certificateType;
    }

    /**
     * 获取证件号码
     * @return
     */
    public String getCertificateCode() {
        return certificateCode;
    }

    /**
     * 设置证件号码
     * @param certificateCode
     */
    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }

    /**
     * 获取身份证正面照片
     * @return
     */
    public String getFrontPhotoUrl() {
        return frontPhotoUrl;
    }

    /**
     * 设置身份证正面照片
     * @param frontPhotoUrl
     */
    public void setFrontPhotoUrl(String frontPhotoUrl) {
        this.frontPhotoUrl = frontPhotoUrl;
    }

    /**
     * 获取身份证背面照片
     * @return
     */
    public String getBackPhotoUrl() {
        return backPhotoUrl;
    }

    /**
     * 设置身份证背面照片
     * @param backPhotoUrl
     */
    public void setBackPhotoUrl(String backPhotoUrl) {
        this.backPhotoUrl = backPhotoUrl;
    }

    /**
     * 获取手持身份证照片
     * @return
     */
    public String getCertificatePhotoUrl() {
        return certificatePhotoUrl;
    }

    /**
     * 设置手持身份证照片
     * @param certificatePhotoUrl
     */
    public void setCertificatePhotoUrl(String certificatePhotoUrl) {
        this.certificatePhotoUrl = certificatePhotoUrl;
    }

    /**
     * 获取认证状态（0：未认证 1：认证通过）
     * @return
     */
    public String getAuthState() {
        return authState;
    }

    /**
     * 设置认证状态（0：未认证 1：认证通过）
     * @param authState
     */
    public void setAuthState(String authState) {
        this.authState = authState;
    }
}
