package com.mxnavi.tspv2.userauth.model;

/**
 * Created by cikai on 2018/6/19.
 */
public class ListGroupInfo {

    // 集团ID
    private String groupId;

    // 集团名称
    private String groupName;

    // 产品系列
    private String productId;

    // 通讯地址
    private String address;

    // 法人
    private String representative;

    // 证件号
    private String certificateCode;

    // 身份证正面照地址
    private String frontPhotoUrl;

    // 身份证背面照地址
    private String backPhotoUrl;

    // 营业执照照片地址
    private String businessLicenseUrl;

    // 联系人
    private String contactName;

    // 联系人电话
    private String contactPhone;

    // 创建人ID
    private String createUserId;

    // 创建时间
    private String createTime;

    // 更新者ID
    private String updateUserId;

    // 更新时间
    private String updateTime;

    // 系统名称
    private String systemName;

    // Logo 路径
    private String logoUrl;

    // 有效期（为空时：永久）
    private String validDate;

    /**
     * 简介
     */
    private String summary;

    /**
     * 获取集团ID
     *
     * @return
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * 设置集团ID
     *
     * @param groupId
     */
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    /**
     * 获取集团名称
     *
     * @return
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置集团名称
     *
     * @param groupName
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * 获取产品系列
     *
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     *
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取通讯地址
     *
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置通讯地址
     *
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取法人
     *
     * @return
     */
    public String getRepresentative() {
        return representative;
    }

    /**
     * 设置法人
     *
     * @param representative
     */
    public void setRepresentative(String representative) {
        this.representative = representative;
    }

    /**
     * 获取证件号
     *
     * @return
     */
    public String getCertificateCode() {
        return certificateCode;
    }

    /**
     * 设置证件号
     *
     * @param certificateCode
     */
    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }

    /**
     * 获取身份证正面照地址
     *
     * @return
     */
    public String getFrontPhotoUrl() {
        return frontPhotoUrl;
    }

    /**
     * 设置身份证正面照地址
     *
     * @param frontPhotoUrl
     */
    public void setFrontPhotoUrl(String frontPhotoUrl) {
        this.frontPhotoUrl = frontPhotoUrl;
    }

    /**
     * 获取身份证背面照地址
     *
     * @return
     */
    public String getBackPhotoUrl() {
        return backPhotoUrl;
    }

    /**
     * 设置身份证背面照地址
     *
     * @param backPhotoUrl
     */
    public void setBackPhotoUrl(String backPhotoUrl) {
        this.backPhotoUrl = backPhotoUrl;
    }

    /**
     * 获取营业执照照片地址
     *
     * @return
     */
    public String getBusinessLicenseUrl() {
        return businessLicenseUrl;
    }

    /**
     * 设置营业执照照片地址
     *
     * @param businessLicenseUrl
     */
    public void setBusinessLicenseUrl(String businessLicenseUrl) {
        this.businessLicenseUrl = businessLicenseUrl;
    }

    /**
     * 获取联系人
     *
     * @return
     */
    public String getContactName() {
        return contactName;
    }

    /**
     * 设置联系人
     *
     * @param contactName
     */
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    /**
     * 获取联系人电话
     *
     * @return
     */
    public String getContactPhone() {
        return contactPhone;
    }

    /**
     * 设置联系人电话
     *
     * @param contactPhone
     */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    /**
     * 获取创建人ID
     *
     * @return
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人ID
     *
     * @param createUserId
     */
    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获取创建时间
     *
     * @return
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取更新者ID
     *
     * @return
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 设置更新者ID
     *
     * @param updateUserId
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * 获取更新时间
     *
     * @return
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置更新时间
     *
     * @param updateTime
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取系统名称
     *
     * @return
     */
    public String getSystemName() {
        return systemName;
    }

    /**
     * 设置系统名称
     *
     * @param systemName
     */
    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    /**
     * 获取Logo路径
     *
     * @return
     */
    public String getLogoUrl() {
        return logoUrl;
    }

    /**
     * 设置Logo路径
     *
     * @param logoUrl
     */
    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    /**
     * 获取有效期（为空时：永久）
     *
     * @return
     */
    public String getValidDate() {
        return validDate;
    }

    /**
     * 设置有效期（为空时：永久）
     *
     * @param validDate
     */
    public void setValidDate(String validDate) {
        this.validDate = validDate;
    }

    /**
     * 获取 简介
     * @return
     */
    public String getSummary() {
        return summary;
    }

    /**
     * 设置 简介
     * @param summary
     */
    public void setSummary(String summary) {
        this.summary = summary;
    }
}
