package com.mxnavi.tspv2.userauth.model;

/**
 * Created by zhaoll on 2018/9/18.
 */

public class UserLoginQuery {
    /**
     * 用户类型，1、车厂,2、集团，3、车队，4、个人
     */
    String userType;
    /**
     * 用户id
     */
    String userId;
    /**
     * 登陆应用id，1、车联网管理系统，2、川汽APP，3、C01车机，4、C01APP，
     * 5、航盛APP，6、航盛车机，7、C01标准版车机，8、C01标准版App
     */
    String appId;
    /**
     * 产品系列id
     */
    String productId;
    /**
     * 登陆设备唯一识别码，例如车辆的vin
     */
    String deviceNo;
    /**
     * 从服务端获得的授权码
     */
    String code;

    /**
     * 获取 用户类型，1、车厂,2、集团，3、车队，4、个人
     * @return
     */
    public String getUserType() {
        return userType;
    }

    /**
     * 设置 用户类型，1、车厂,2、集团，3、车队，4、个人
     * @param userType
     */
    public void setUserType(String userType) {
        this.userType = userType;
    }

    /**
     * 获取 用户id
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置 用户id
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取 登陆应用id，1、车联网管理系统，2、川汽APP，3、C01车机，4、C01APP，
     * 5、航盛APP，6、航盛车机，7、C01标准版车机，8、C01标准版App
     * @return
     */
    public String getAppId() {
        return appId;
    }

    /**
     * 设置 登陆应用id，1、车联网管理系统，2、川汽APP，3、C01车机，4、C01APP，
     * 5、航盛APP，6、航盛车机，7、C01标准版车机，8、C01标准版App
     * @param appId
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * 获取 产品系列id
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列id
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 登陆设备唯一识别码，例如车辆的vin
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置 登陆设备唯一识别码，例如车辆的vin
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取 从服务端获得的授权码
     * @return
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 从服务端获得的授权码
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }
}
