package com.mxnavi.tspv2.weather.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.TspCity;

import java.util.List;

/**
 * Created by Administrator on 2018/1/26.
 */

public class QueryAlarmResult implements Parcelable {
    TspCity tspCity;
    List<AlarmInfo> alarmInfoList;

    public QueryAlarmResult() {
    }

    public TspCity getTspCity() {
        return tspCity;
    }

    public void setTspCity(TspCity tspCity) {
        this.tspCity = tspCity;
    }

    public List<AlarmInfo> getAlarmInfoList() {
        return alarmInfoList;
    }

    public void setAlarmInfoList(List<AlarmInfo> alarmInfoList) {
        this.alarmInfoList = alarmInfoList;
    }


    protected QueryAlarmResult(Parcel in) {
        tspCity = in.readParcelable(TspCity.class.getClassLoader());
        alarmInfoList = in.createTypedArrayList(AlarmInfo.CREATOR);
    }

    public static final Creator<QueryAlarmResult> CREATOR = new Creator<QueryAlarmResult>() {
        @Override
        public QueryAlarmResult createFromParcel(Parcel in) {
            return new QueryAlarmResult(in);
        }

        @Override
        public QueryAlarmResult[] newArray(int size) {
            return new QueryAlarmResult[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeParcelable(tspCity, flags);
        dest.writeTypedList(alarmInfoList);
    }






}
